{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

<div style="float:left; width: 10%;">
	{include file=configuration/links.tpl}
</div>

{$html->toolbar->title('Edit Warning')}
{$html->toolbar->save()}
{$html->toolbar->cancel()}

<div style="float:right; width: 90%;">

	<form name="adminForm" method="POST">
		{$html->form->param('option','com_agora')}
		{$html->form->param('task','configuration')}
		{$html->form->param('agora_task','configuration')}
		{$html->form->param('page','warning')}
		{$html->form->param('action','save')}

		{$html->form->param('form[id]',$warning.id)}

		<fieldset>
			<legend>##Basic parameters##</legend>
			<table class="admintable">
				<tbody>
					{adminform->text var=points value=$warning.points caption='Points' desc='ban_points_info'}
					{adminform->text var=message value=$warning.message caption='Title' desc='ban_message_info'}
					{adminform->textarea var=message_txt value=$warning.message_txt caption='Default Message' desc='ban_message_info'}
				</tbody>
			</table>
		</fieldset>

		<fieldset>
			<legend>##Expiration##</legend>
			<table class="admintable">
				<tbody>
					{adminform->text var='expire][days' caption='Days' value=$warning.expire.yday size=1}
					{adminform->text var='expire][hours' caption='Hours' value=$warning.expire.hours size=1}
					{adminform->text var='expire][minutes' caption='Minutes' value=$warning.expire.minutes size=1}
					{*<input type="upload" name="form[image]" />##Warning image (live blank to use default)##<br/> *}
				</tbody>
			</table>
		</fieldset>

	</form>

</div>