{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##Configuration## - ##Warnings##')}
{$html->toolbar->deleteList()}
{$html->toolbar->editList()}
{$html->toolbar->popupAdd(400,320)}

<div style="float:left; width: 10%;">
	{include file=configuration/links.tpl}
</div>
<div style="float:right; width: 90%;">
	<form name="adminForm" method="POST">
		<input type="hidden" name="checked" value="0"/>
		<input type="hidden" name="agora_task" value="configuration"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="page" value="warning"/>
		<input type="hidden" name="option" value="com_agora"/>
		<input type="hidden" name="boxchecked" value="0"/>
		<fieldset>
		<legend>##Warnings##</legend>
		<table class="adminlist">
			<thead>
				<tr>
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="checkAll({$warnings|@count});" />
					</th>
					{*<th>##picture##</th> *}
					<th>##Points##</th>
					<th>##Message##</th>
					<th>##Expire date##</th>
				</tr>
			</thead>
			<tfoot>
				<tr><td colspan="4">{$pagination->getListFooter()}</td></tr>
			</tfoot>
			<tbody>
				{foreach from=$warnings item=warning key=num}
				<tr>
					<td>{$html->jhtml('grid.id', $num, $warning.id)}</td>
					{*<td><img src="{$root_url}/img/warning/{$warning.image}" /></td> *}
					<td>{$warning.points}</td>
					<td>{$warning.message}</td>
					<td>##Days## {$warning.expire.yday}
						##Hours## {$warning.expire.hours}
						##Minutes## {$warning.expire.minutes}
					</td>
				</tr>
				{foreachelse}
				<tr>
					<td colspan="5" align="center">##No warnings##</td>
				</tr>
				{/foreach}
			</tbody>
		</table>
		</fieldset>
	</form>
</div>