{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##Maintenance## - ##Upload manager##')}
{$html->toolbar->deleteList()}
{$html->toolbar->cancel()}

<div style="float:left; width: 10%;">
	{include file=maintenance/links.tpl}
</div>

<div style="float:right; width: 90%;">

	<form method="POST" name="adminForm">
		<input type="hidden" name="checked" value="0"/>
		<input type="hidden" name="agora_task" value="maintenance"/>
		<input type="hidden" name="page" value="uploads"/>
		<input type="hidden" name="task" value="sort"/>
		<input type="hidden" name="option" value="com_agora"/>
		<input type="hidden" name="boxchecked" value="0"/>
		<input type="hidden" name="filter_order" value="{$sort_order}"/>
		<input type="hidden" name="filter_order_Dir" value="{$sort_order_dir}"/>

		<input type="text" name="filename_filter" value="{$filename_filter}"/>
		<input type="submit" value="##Filter##"/>

		<table class="adminlist">
			<thead>
				<tr>
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="checkAll({$uploads|@count});" />
					</th>
					<th>{$html->jhtml('grid.sort','Username','username',$sort_dir,0,'sort')}</th>
					<th>##Filename##</th>
					<th>##Preview##</th>
				</tr>
			</thead>
			<tbody>
				{foreach from=$uploads item=upload key=num}
				<tr>
					<td>{$html->jhtml('grid.id', $num, $upload.upload_id)}</td>
					<td>{$upload.user_name}</td>
					<td>
						<a href="{$upload.path}" >
							{$upload.name}
						</a>
						&nbsp;[{$upload.size}Kb]
					</td>
					<td>
						{if (isset($upload.mini))}
						<img src="{$upload.mini}" />
						{else}
						##Preview not available##
						{/if}
					</td>
				</tr>
				{/foreach}
			</tbody>
			<tfoot>
				<tr><td colspan="4">{$pagination->getListFooter()}</td></tr>
			</tfoot>
		</table>
	</form>
</div>
