{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##OPTIONS## - ##Essentials##')}
{$html->toolbar->save()}
{$html->toolbar->cancel()}

<div style="float:left; width: 10%;">
	{include file='options/links.tpl'}
</div>

<div>
	<form name="adminForm" method="POST">
		{$html->form->param('option','com_agora')}
		{$html->form->param('agora_task','options')}
		{$html->form->param('task','options')}
		{$html->form->param('page','essentials')}
		<fieldset>
			<legend>##Essentials##</legend>
			<table class="admintable">
				<tbody>
					{*
					Few words about {adminform-> ...} tags.
					I made this to simpify process of creating input fields for configuration parameters (jos_agora_config table).
					Generated XHTML code can be found in adminview.php (class AHTMLAdminForm). In short parameters of this calls are:
						1. o_board_title	- variable name (WITH o_ PREFIX)
						2. Board title		- caption (will be prited at the left of input field)
						3. bulletin board	- description (printed in popup tooltip)
						4. size=50...		- html attributes - appended to corresponding html tag
					Implemented functions are:
						text - <input type="text">  tag
						select - <select><option></option></select> tags. Second parameter of adminform->select is an array of values in list
						radio - Yes/No radio buttons
						textarea - almost the same as 'text', but using <textarea></textarea> tags. Will accept rows= and cols= options among others *}
						
					{adminform->text	var=o_board_title caption='Board title' desc='bulletin board' size=50 maxlength=255}
					
					
					{adminform->select var=o_default_style values=$styles selected=$agora_config.o_default_style caption='Default style' desc='Default style2' maxlength=255}
					{adminform->radio 	caption='main_menu'		var='o_main_menu'		desc='main_menu_2'}
					{adminform->text	var=o_time_format caption='Time format' desc='time formatting' size=25 maxlength=25}
					{adminform->text	var=o_date_format caption='Date format' desc='date formatting' size=25 maxlength=25}
					{adminform->text	var=o_timeout_visit caption='Visit timeout' desc='Visit timeout_2' size=5 maxlength=5}
					{adminform->text	var=o_merge_timeout caption='Merge time' desc='Timeofmerge' size=5 maxlength=5}
				</tbody>
			</table>
		</fieldset>
	</form>
</div>