{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##OPTIONS## - ##Notifications##')}
{$html->toolbar->save()}
{$html->toolbar->cancel()}

<div style="float:left; width: 10%;">
	{include file='options/links.tpl'}
</div>
<div>
	<form name="adminForm" method="POST">
		{$html->form->param('option','com_agora')}
		{$html->form->param('agora_task','options')}
		{$html->form->param('task','options')}
		{$html->form->param('page','notifications')}
		<fieldset id="ag_fieldset" >
			<legend>##Email Notifications##</legend>
			<table class="admintable" style="margin-left:8px;">
				<tbody>
					{adminform->radio	caption='New type of notify'	var='o_subscrb_emails_type'	desc='New type of notify_2'}			
					{adminform->radio	caption='AutoSubscribe all admins to all forums'	var='o_subscrb_auto_alladmins'	desc='AutoSubscribe all admins to all forums_2'}
					{adminform->radio	caption='AutoSubscribe moderators to moderated forums'	var='o_subscrb_auto_moderators'	desc='AutoSubscribe moderators to moderated forums_2'}
				</tbody>
			</table>
			<table class="admintable">
				<tbody>
					<tr>
					<td>
					{adminform->etext	var=o_pm_subject caption='PMSubject' desc='PMSubject_2' size=120 maxlength=255}
					</td>
					<td width="25%">&nbsp;</td>
					</tr>
					<tr>
						<td>
					{adminform->editor var=o_pm_messg caption='PMMessage' desc='PMMessage_2'}
						</td>
						<td align="left" valign="top" bgcolor="#f6f6f6" style="border-left:1px #e9e9e9 solid;border-bottom:1px #e9e9e9 solid;">
							<p>##CC_TAG##: [##CC_AGORA_TAG##] (##CC_AGORA_TAG_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_PROFILE##] (##CC_AGORA_TAG_PROFILE_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_SITE##] (##CC_AGORA_TAG_SITE_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_SITENAME##] (##CC_AGORA_TAG_SITENAME_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_TITLE##] (##CC_AGORA_TAG_TITLE_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_NAME##] (##CC_AGORA_TAG_NAME_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_USERNAME##] (##CC_AGORA_TAG_USERNAME_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_EMAIL##] (##CC_AGORA_TAG_EMAIL_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_MESSAGE##] (##CC_AGORA_TAG_MESSAGE_DESC##)</p>

					  </td>
					</tr>
				</tbody>
		</table>
		<p>&nbsp;</p>
			<table class="admintable">
				<tbody>
					<tr>
						<td>
					{adminform->etext	var=o_subscr_subject caption='SubsctSubject' desc='SubsctSubject_2' size=120 maxlength=255}
						</td>
						<td width="25%">&nbsp;</td>
					</tr>
					<tr>
						<td>
					{adminform->editor var=o_subscr_messg caption='SubsctMessage' desc='SubsctMessage_2'}
						</td>
						<td align="left" valign="top" bgcolor="#f6f6f6" style="border-left:1px #e9e9e9 solid;border-bottom:1px #e9e9e9 solid;">
							<p>##CC_TAG##: [##CC_AGORA_TAG_UNSUBSCRIBE##] (##CC_AGORA_TAG_UNSUBSCRIBE_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG##] (##CC_AGORA_TAG_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_PROFILE##] (##CC_AGORA_TAG_PROFILE_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_SITE##] (##CC_AGORA_TAG_SITE_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_SITENAME##] (##CC_AGORA_TAG_SITENAME_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_TITLE##] (##CC_AGORA_TAG_TITLE_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_USERNAME##] (##CC_AGORA_TAG_USERNAME_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_EMAIL##] (##CC_AGORA_TAG_EMAIL_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_MESSAGE##] (##CC_AGORA_TAG_MESSAGE_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_FORUM##] (##CC_AGORA_TAG_FORUM_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_TOPIC##] (##CC_AGORA_TAG_TOPIC_DESC##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_POST##] (##CC_AGORA_TAG_POST##)</p>
							<p>##CC_TAG##: [##CC_AGORA_TAG_POSTER_USERNAME##] (##CC_AGORA_TAG_POSTER_USERNAME_DESC##)</p>
					  </td>
					</tr>
				</tbody>
		</table>
	  </fieldset>
	</form>
</div>