function rewrite_days()
{
    var days = document.getElementById("birthday-day");
    var month = document.getElementById("birthday-month");
    var year = document.getElementById("birthday-year");
    
    var days_in_month = new Array(0,31,28,31,30,31,30,31,31,30,31,30,31);
    if (month.value != 0)
    {
        if ((year.value % 4 == 0) && (month.value == 2))
        {
            days.length = 29;
            days.item(28).value = 29;
            days.item(28).text = 29;
        }
        else
        {
            days.length = days_in_month[month.value];
            for (var i = 28; i < days.length+1; i++)
            {
                days.item(i-1).value = i;
                days.item(i-1).text = i;
            }
        }
    }
}

function gMapProfile(lng,lat,zoom,marker)
{
	var map = new GMap(document.getElementById("map"));
//	map.addControl(new GSmallMapControl());
	map.addControl(new GLargeMapControl());
	map.addControl(new GMapTypeControl());
	map.centerAndZoom(new GPoint(lng, lat), zoom);
	if (marker) {
		map.addOverlay(new GMarker(new GPoint(lng, lat)));
	}

	GEvent.addListener(map, 'click', function(overlay, point) {
		if (overlay) {
			map.removeOverlay(overlay);
			document.getElementById("lat").value='';
			document.getElementById("lng").value='';
		} else if (point) {
			map.clearOverlays();
	    	map.addOverlay(new GMarker(point));
			document.getElementById("lat").value=point.y;
		document.getElementById("lng").value=point.x;
		}
	});
}

function gMapProfilePreview(lng,lat,zoom)
{
	var map = new GMap(document.getElementById("map"));
	map.addControl(new GSmallMapControl());
	map.addControl(new GMapTypeControl());
	map.centerAndZoom(new GPoint(lng, lat), zoom);
	map.addOverlay(new GMarker(new GPoint(lng, lat)));
	
	map.checkResize();
}
