<?php
/**
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 */
	defined ('IN_AGORA') or die;

	class TaskController extends AgoraProfileController
	{
	    
		function save()
		{
			$form = Agora::getPostVar('form',array());

			Agora::filterForm($form,
					array(
						'show_smilies',
						'show_sig',
						'show_avatars',
						'show_img',
						'show_img_sig',
						'reverse_posts',
						'disp_topics' => null,
						'disp_posts' => null,
						'reputation_enable',
					));

			if (empty($form['disp_topics'])) $form['disp_topics'] = null;
			if (empty($form['disp_posts'])) $form['disp_posts'] = null;

			$this->model->edit($this->user_id,$form);
			$this->redirect();
			return;
		}
	}
?>
