<?php 
defined('_JEXEC') or die('Restricted access');

class modAgoraProfileHelper {
	
	function get_itmeid($db)
	{
		$query = "SELECT id FROM #__menu WHERE link='index.php?option=com_agora'";
		$db->setQuery($query);
		return $db->loadResult();
	}
	
	function get_agoraid($db, $jos_id)
	{
			$query = "SELECT id FROM #__agora_users WHERE jos_id =" .$jos_id ;
			$db->setQuery( $query);	
			if ($id = $db->loadResult())
			{
				return $id ;
			}
			else
			{
				return 0;
			}
	}
	
		
	function get_agoraavatar($agora_userid, $avatar_width, $avatar_height, $avatar_path)
	{
		
		$width  	= '';
		$height 	= '';
		
		if ($avatar_width > 0) {
			$width = 'width="'.$avatar_width.'" ';  
		}
		if ($avatar_height > 0) {
			$height = 'height="'.$avatar_height.'" ';  
		}
		
		if (isset($agora_avatar)) { unset($agora_avatar); }
			$avatar_gif  = $avatar_path . '/'.$agora_userid.'.gif';
			$avatar_jpg  = $avatar_path . '/'.$agora_userid.'.jpg';
			$avatar_png  = $avatar_path . '/'.$agora_userid.'.png';
			if (file_exists($avatar_gif)) {
					$agora_avatar = '<img src='.JURI::base().$avatar_path . '/'.$agora_userid.'.gif '.$width .$height.'>';
			} else if (file_exists($avatar_jpg)) {
					$agora_avatar = '<img src='.JURI::base().$avatar_path . '/'.$agora_userid.'.jpg '.$width .$height.'>';
			} else if (file_exists($avatar_png)) {
					$agora_avatar = '<img src='.JURI::base().$avatar_path . '/'.$agora_userid.'.png '.$width .$height.'>';
			} else {
					$agora_avatar = '<img src='.JURI::base().'components/com_agora/img/pre_avatars/noavatar.jpg '.$width .$height.'>';
			}
	
		return $agora_avatar;
		
	}
	
	function get_agorapms($db, $agora_userid, $agora_path)
	{
		$pms = array();
		
		$inpath 	= "<a href=\"".JRoute::_($agora_path ."&task=pms&box=0" );
		$outpath 	= "<a href=\"".JRoute::_($agora_path ."&task=pms&box=1" );
		$comppath 	= "<a href=\"".JRoute::_($agora_path ."&task=pms&action=compose" );
		
		$query = "SELECT COUNT(id) FROM #__agora_messages WHERE showed=0 AND owner=" . $agora_userid;
		$db->setQuery($query);
		$new_mess_count = $db->loadResult();
		
			if ( $new_mess_count ) 
			{
				$pms['new_mess'] = true;
				$pms['mess_icon'] = 'newmess.png';;
				$pms['new_mess_count'] = $inpath .'" class="agoraprofile_new">'.JText::_( 'You have' ). '<em> ' . $new_mess_count . ' </em>'. JText::_( 'new messages' ). '</a><br />';
			 
			}
			else
			{
				$pms['new_mess'] = false;
				$pms['mess_icon'] = 'nomess.png';
				$pms['new_mess_count']  = $inpath .'" class="agoraprofile_nonew">'.JText::_( 'No new messages' ).'</a><br />';
			}
			
		
		$query = "SELECT COUNT(id) FROM #__agora_messages WHERE status = 0 AND owner=" . $agora_userid;
		$db->setQuery($query);
		$in_mess_count = $db->loadResult();
		
		if ( $in_mess_count ) {
				$pms['in_mess_count'] = $inpath .'" class="agoraprofile_inbox">'.JText::_( 'inbox' ).' - <font color="#FF0000"><em>' . $in_mess_count . '</em></font></a> <br />';
			 
			}
			else
			{
				$pms['in_mess_count'] = '';
			}
			
			
		$query = "SELECT COUNT(id) FROM #__agora_messages WHERE status = 1 AND owner=" . $agora_userid;
		$db->setQuery($query);
		$out_mess_count = $db->loadResult();
		
		if ( $out_mess_count ) {
				$pms['out_mess_count'] = $outpath .'" class="agoraprofile_inbox">'.JText::_( 'outbox' ).' - <font color="#FF0000"><em>' . $out_mess_count . '</em></font></a> <br />';
			 
			}
			else
			{
				$pms['out_mess_count'] = '';
			}
			
			$pms['compose'] = $comppath .'" class="agoraprofile_compose">' .JText::_( 'Compose a Message' ).'</a><br />';
		
		return $pms;
			
	}
	
	function get_avatar_path($db)  
	{
		$query = "SELECT conf_value FROM #__agora_config WHERE conf_name='o_avatars_dir'";
		$db->setQuery($query);
		return $db->loadResult();
	}


}