<?php
/**
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 */

class AAccessHelper
{
	function getForumAccess($forum_id)
	{
		$access_model = & Model::getInstance('AccessModel');
		if (!$this->agora_user['is_superadmin']) {
			$access = $access_model->getForumAccess($forum_id,$this->agora_user['id']);
		} else {
			$access = array();
			foreach ($access_model->access as $name) {
				$access[$name] = 1;
			}
			$access['use_captcha'] = 0;
		}
		return $access;
	}
}

?>
