{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<td class="ag_leftend">
	{if $forum.last_post}
	<div class="ag_{$forum.status}">&nbsp;</div>
	{else}
	<div class="ag_forum">&nbsp;</div>
	{/if}
</td>
<td class="ag_column">
	<div class="ag_forumName">
		<a href="{url task=topic id=$topic.id}">
			{$topic.subject|truncate:45:'...'}
		</a>
		<a href="{url task=forum id=$forum.id}">
			{$forum.forum_name}
		</a>
	</div>

	{if $forum.forum_desc}
	<div class="ag_forumDesc">
		{$forum.forum_desc}
	</div>
	{/if}

	{moduleExists name="agora_forum_`$forum.id`"}
	<div>
		{loadModule name="agora_forum_`$forum.id`"}
	</div>
	{/moduleExists}

	{if !empty($forum.subforums)}
		<div class="ag_clearer"></div><br />
		{include file=include/sub_forum.tpl}
	{/if}
</td>
<td class="ag_topic">
	<p class="ag_color"><strong>{$forum.num_topics}</strong> ##Topics##</p>
	<p><strong>{$forum.num_posts}</strong> ##Replies##</p>
</td>
<td class="ag_lastpost">
	<span class="ag_byuser">
	{if $forum.last_post}
		<span>
			{if $agora_user.reverse_posts}
			<a class="permatip" href="{url task=topic id=$forum.last_post_topic_id}#p{$forum.last_post_id}">
			{else}
			<a class="permatip" href="{url task=topic id=$forum.last_post_topic_id p=$forum.num_pages}#p{$forum.last_post_id}">
			{/if}
			<span>{$forum.postcontent|truncate:250:'...'}</span>
			{$forum.subject|truncate:28:'...'}
			</a>
		</span><br />
		{$forum.last_post|agora_date}<br />
		<strong>##by##</strong> {if $agora_config.o_fullnames_enabled}{$forum.last_poster_fullname}{else}{$forum.last_poster}{/if}
	{else}
		##This forum is currently empty##
	{/if}
	</span>
</td>