{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<!-- ++++++++++++++++++++++++++  Begin Visual_BBCode ++++++++++++++++++++++++++++++++ -->
<!-- <link rel="stylesheet" href="style/VideoBB.css" type="text/css" media="screen" />	-->
<div class="ag_bbcode"><div class="ag_bbcodewrap">
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!-- Begin Toolbar 1 -->
<div id="bbtoolbar" class="bbtitle">
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_bold.png" alt="B" title="##Bold##" onclick="insert_text('[b]','[/b]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_italic.png" alt="I" title="##Italic##" onclick="insert_text('[i]','[/i]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_underline.png" alt="U" title="##Underline##" onclick="insert_text('[u]','[/u]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_strikethrough.png" alt="S" title="##Strik##" onclick="insert_text('[s]','[/s]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/style.png" alt="##Fontsize##" title="##Fontsize##" onclick="document.getElementById('bbcode_fontsize').focus();" />
	<select id="bbcode_fontsize" onchange="insert_text('[size=' + this.value + ']','[/size]')">
		<option value="8" style="font-size: 8px; ">##Very Small##</option>
		<option value="10" style="font-size: 10px; ">##Small##</option>
		<option value="12" style="font-size: 12px; " selected="selected">##Normal##</option>
		<option value="14" style="font-size: 14px; ">##Big##</option>
		<option value="18" style="font-size: 18px; ">##Very Big##</option>
		<option value="24" style="font-size: 24px; ">##Extra Large##</option>
		<option value="36" style="font-size: 36px; ">##Immense##</option>
	</select>
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/color_swatch.png" alt="##Fontcolor##" title="##Fontcolor##"  onclick="toggleDisplay('bbcolor');return false;" />
		<!-- Begin Colorbar -->
		<div id="bbcolor">
			<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
			<span class="bbcode bbcolor" style="background: #ffcccc;" title="#ffcccc" onclick="insert_text('[color=#ffcccc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc9999;" title="#cc9999" onclick="insert_text('[color=#cc9999]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #996666;" title="#996666" onclick="insert_text('[color=#996666]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #663333;" title="#663333" onclick="insert_text('[color=#663333]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #330000;" title="#330000" onclick="insert_text('[color=#330000]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff9999;" title="#ff9999" onclick="insert_text('[color=#ff9999]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc6666;" title="#cc6666" onclick="insert_text('[color=#cc6666]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc3333;" title="#cc3333" onclick="insert_text('[color=#cc3333]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #993333;" title="#993333" onclick="insert_text('[color=#993333]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #660000;" title="#660000" onclick="insert_text('[color=#660000]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff6666;" title="#ff6666" onclick="insert_text('[color=#ff6666]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff3333;" title="#ff3333" onclick="insert_text('[color=#ff3333]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff0000;" title="#ff0000" onclick="insert_text('[color=#ff0000]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc0000;" title="#cc0000" onclick="insert_text('[color=#cc0000]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #990000;" title="#990000" onclick="insert_text('[color=#990000]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff9966;" title="#ff9966" onclick="insert_text('[color=#ff9966]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff6633;" title="#ff6633" onclick="insert_text('[color=#ff6633]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff3300;" title="#ff3300" onclick="insert_text('[color=#ff3300]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc3300;" title="#cc3300" onclick="insert_text('[color=#cc3300]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #993300;" title="#993300" onclick="insert_text('[color=#993300]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffcc99;" title="#ffcc99" onclick="insert_text('[color=#ffcc99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc9966;" title="#cc9966" onclick="insert_text('[color=#cc9966]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc6633;" title="#cc6633" onclick="insert_text('[color=#cc6633]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #996633;" title="#996633" onclick="insert_text('[color=#996633]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #663300;" title="#663300" onclick="insert_text('[color=#663300]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff9933;" title="#ff9933" onclick="insert_text('[color=#ff9933]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff6600;" title="#ff6600" onclick="insert_text('[color=#ff6600]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff9900;" title="#ff9900" onclick="insert_text('[color=#ff9900]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc6600;" title="#cc6600" onclick="insert_text('[color=#cc6600]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc9933;" title="#cc9933" onclick="insert_text('[color=#cc9933]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffcc66;" title="#ffcc66" onclick="insert_text('[color=#ffcc66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffcc33;" title="#ffcc33" onclick="insert_text('[color=#ffcc33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffcc00;" title="#ffcc00" onclick="insert_text('[color=#ffcc00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc9900;" title="#cc9900" onclick="insert_text('[color=#cc9900]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #996600;" title="#996600" onclick="insert_text('[color=#996600]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffffcc;" title="#ffffcc" onclick="insert_text('[color=#ffffcc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cccc99;" title="#cccc99" onclick="insert_text('[color=#cccc99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #999966;" title="#999966" onclick="insert_text('[color=#999966]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #666633;" title="#666633" onclick="insert_text('[color=#666633]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #333300;" title="#333300" onclick="insert_text('[color=#333300]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffff99;" title="#ffff99" onclick="insert_text('[color=#ffff99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cccc66;" title="#cccc66" onclick="insert_text('[color=#cccc66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #999933;" title="#999933" onclick="insert_text('[color=#999933]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #999933;" title="#999933" onclick="insert_text('[color=#999933]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #666600;" title="#666600" onclick="insert_text('[color=#666600]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffff66;" title="#ffff66" onclick="insert_text('[color=#ffff66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffff33;" title="#ffff33" onclick="insert_text('[color=#ffff33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffff00;" title="#ffff00" onclick="insert_text('[color=#ffff00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cccc00;" title="#cccc00" onclick="insert_text('[color=#cccc00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #999900;" title="#999900" onclick="insert_text('[color=#999900]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ccff66;" title="#ccff66" onclick="insert_text('[color=#ccff66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ccff33;" title="#ccff33" onclick="insert_text('[color=#ccff33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ccff00;" title="#ccff00" onclick="insert_text('[color=#ccff00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99cc00;" title="#99cc00" onclick="insert_text('[color=#99cc00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #669900;" title="#669900" onclick="insert_text('[color=#669900]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ccff99;" title="#ccff99" onclick="insert_text('[color=#ccff99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99ff66;" title="#99ff66" onclick="insert_text('[color=#99ff66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99ff33;" title="#99ff33" onclick="insert_text('[color=#99ff33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #669933;" title="#669933" onclick="insert_text('[color=#669933]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #336600;" title="#336600" onclick="insert_text('[color=#336600]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99ff33;" title="#99ff33" onclick="insert_text('[color=#99ff33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99ff00;" title="#99ff00" onclick="insert_text('[color=#99ff00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66ff00;" title="#66ff00" onclick="insert_text('[color=#66ff00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66cc00;" title="#66cc00" onclick="insert_text('[color=#66cc00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66cc33;" title="#66cc33" onclick="insert_text('[color=#66cc33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99ff66;" title="#99ff66" onclick="insert_text('[color=#99ff66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66ff33;" title="#66ff33" onclick="insert_text('[color=#66ff33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33ff00;" title="#33ff00" onclick="insert_text('[color=#33ff00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33cc00;" title="#33cc00" onclick="insert_text('[color=#33cc00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #339900;" title="#339900" onclick="insert_text('[color=#339900]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ccffcc;" title="#ccffcc" onclick="insert_text('[color=#ccffcc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99cc99;" title="#99cc99" onclick="insert_text('[color=#99cc99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #669966;" title="#669966" onclick="insert_text('[color=#669966]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #663366;" title="#663366" onclick="insert_text('[color=#663366]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #003300;" title="#003300" onclick="insert_text('[color=#003300]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99ff99;" title="#99ff99" onclick="insert_text('[color=#99ff99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66cc66;" title="#66cc66" onclick="insert_text('[color=#66cc66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33cc33;" title="#33cc33" onclick="insert_text('[color=#33cc33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #339933;" title="#339933" onclick="insert_text('[color=#339933]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #006600;" title="#006600" onclick="insert_text('[color=#006600]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66ff66;" title="#66ff66" onclick="insert_text('[color=#66ff66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33ff33;" title="#33ff33" onclick="insert_text('[color=#33ff33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00ff00;" title="#00ff00" onclick="insert_text('[color=#00ff00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00cc00;" title="#00cc00" onclick="insert_text('[color=#00cc00]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #009900;" title="#009900" onclick="insert_text('[color=#009900]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66ff99;" title="#66ff99" onclick="insert_text('[color=#66ff99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33ff66;" title="#33ff66" onclick="insert_text('[color=#33ff66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00ff33;" title="#00ff33" onclick="insert_text('[color=#00ff33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00cc33;" title="#00cc33" onclick="insert_text('[color=#00cc33]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #009933;" title="#009933" onclick="insert_text('[color=#009933]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99ffcc;" title="#99ffcc" onclick="insert_text('[color=#99ffcc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66cc99;" title="#66cc99" onclick="insert_text('[color=#66cc99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33cc66;" title="#33cc66" onclick="insert_text('[color=#33cc66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #339966;" title="#339966" onclick="insert_text('[color=#339966]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #006633;" title="#006633" onclick="insert_text('[color=#006633]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33ff99;" title="#33ff99" onclick="insert_text('[color=#33ff99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00ff66;" title="#00ff66" onclick="insert_text('[color=#00ff66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00ff99;" title="#00ff99" onclick="insert_text('[color=#00ff99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00cc66;" title="#00cc66" onclick="insert_text('[color=#00cc66]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #336699;" title="#336699" onclick="insert_text('[color=#336699]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66ffcc;" title="#66ffcc" onclick="insert_text('[color=#66ffcc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33ffcc;" title="#33ffcc" onclick="insert_text('[color=#33ffcc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00ffcc;" title="#00ffcc" onclick="insert_text('[color=#00ffcc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00cc99;" title="#00cc99" onclick="insert_text('[color=#00cc99]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #009966;" title="#009966" onclick="insert_text('[color=#009966]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ccffff;" title="#ccffff" onclick="insert_text('[color=#ccffff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99cccc;" title="#99cccc" onclick="insert_text('[color=#99cccc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #669999;" title="#669999" onclick="insert_text('[color=#669999]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #336666;" title="#336666" onclick="insert_text('[color=#336666]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #003333;" title="#003333" onclick="insert_text('[color=#003333]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99ffff;" title="#99ffff" onclick="insert_text('[color=#99ffff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66cccc;" title="#66cccc" onclick="insert_text('[color=#66cccc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33cccc;" title="#33cccc" onclick="insert_text('[color=#33cccc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #339999;" title="#339999" onclick="insert_text('[color=#339999]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #006666;" title="#006666" onclick="insert_text('[color=#006666]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66ffff;" title="#66ffff" onclick="insert_text('[color=#66ffff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33ffff;" title="#33ffff" onclick="insert_text('[color=#33ffff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00ffff;" title="#00ffff" onclick="insert_text('[color=#00ffff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00cccc;" title="#00cccc" onclick="insert_text('[color=#00cccc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #009999;" title="#009999" onclick="insert_text('[color=#009999]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #66ccff;" title="#66ccff" onclick="insert_text('[color=#66ccff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #33ccff;" title="#33ccff" onclick="insert_text('[color=#33ccff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #00ccff;" title="#00ccff" onclick="insert_text('[color=#00ccff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #0099cc;" title="#0099cc" onclick="insert_text('[color=#0099cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #006699;" title="#006699" onclick="insert_text('[color=#006699]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #99ccff;" title="#99ccff" onclick="insert_text('[color=#99ccff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #6699cc;" title="#6699cc" onclick="insert_text('[color=#6699cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #3399cc;" title="#3399cc" onclick="insert_text('[color=#3399cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #0099cc;" title="#0099cc" onclick="insert_text('[color=#0099cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #003366;" title="#003366" onclick="insert_text('[color=#003366]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #3399ff;" title="#3399ff" onclick="insert_text('[color=#3399ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #0099ff;" title="#0099ff" onclick="insert_text('[color=#0099ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #0066ff;" title="#0066ff" onclick="insert_text('[color=#0066ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #0066cc;" title="#0066cc" onclick="insert_text('[color=#0066cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #3366cc;" title="#3366cc" onclick="insert_text('[color=#3366cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #6699ff;" title="#6699ff" onclick="insert_text('[color=#6699ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #3366ff;" title="#3366ff" onclick="insert_text('[color=#3366ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #0033ff;" title="#0033ff" onclick="insert_text('[color=#0033ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #0033cc;" title="#0033cc" onclick="insert_text('[color=#0033cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #003399;" title="#003399" onclick="insert_text('[color=#003399]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ccccff;" title="#ccccff" onclick="insert_text('[color=#ccccff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #9999cc;" title="#9999cc" onclick="insert_text('[color=#9999cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #666699;" title="#666699" onclick="insert_text('[color=#666699]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #333366;" title="#333366" onclick="insert_text('[color=#333366]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #000033;" title="#000033" onclick="insert_text('[color=#000033]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #9999ff;" title="#9999ff" onclick="insert_text('[color=#9999ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #6666cc;" title="#6666cc" onclick="insert_text('[color=#6666cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #3333cc;" title="#3333cc" onclick="insert_text('[color=#3333cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #333399;" title="#333399" onclick="insert_text('[color=#333399]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #000066;" title="#000066" onclick="insert_text('[color=#000066]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #6666ff;" title="#6666ff" onclick="insert_text('[color=#6666ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #3333ff;" title="#3333ff" onclick="insert_text('[color=#3333ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #0000ff;" title="#0000ff" onclick="insert_text('[color=#0000ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #0000cc;" title="#0000cc" onclick="insert_text('[color=#0000cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #000099;" title="#000099" onclick="insert_text('[color=#000099]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #9966ff;" title="#9966ff" onclick="insert_text('[color=#9966ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #6633ff;" title="#6633ff" onclick="insert_text('[color=#6633ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #3300ff;" title="#3300ff" onclick="insert_text('[color=#3300ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #3300cc;" title="#3300cc" onclick="insert_text('[color=#3300cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #330099;" title="#330099" onclick="insert_text('[color=#330099]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc99ff;" title="#cc99ff" onclick="insert_text('[color=#cc99ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #9966cc;" title="#9966cc" onclick="insert_text('[color=#9966cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #6633cc;" title="#6633cc" onclick="insert_text('[color=#6633cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #663399;" title="#663399" onclick="insert_text('[color=#663399]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #330066;" title="#330066" onclick="insert_text('[color=#330066]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #9933ff;" title="#9933ff" onclick="insert_text('[color=#9933ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #6600ff;" title="#6600ff" onclick="insert_text('[color=#6600ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #9900ff;" title="#9900ff" onclick="insert_text('[color=#9900ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #6600cc;" title="#6600cc" onclick="insert_text('[color=#6600cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #9933cc;" title="#9933cc" onclick="insert_text('[color=#9933cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc66ff;" title="#cc66ff" onclick="insert_text('[color=#cc66ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc33ff;" title="#cc33ff" onclick="insert_text('[color=#cc33ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc00ff;" title="#cc00ff" onclick="insert_text('[color=#cc00ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #9900cc;" title="#9900cc" onclick="insert_text('[color=#9900cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #660099;" title="#660099" onclick="insert_text('[color=#660099]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffccff;" title="#ffccff" onclick="insert_text('[color=#ffccff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc99cc;" title="#cc99cc" onclick="insert_text('[color=#cc99cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #996699;" title="#996699" onclick="insert_text('[color=#996699]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #663366;" title="#663366" onclick="insert_text('[color=#663366]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #330033;" title="#330033" onclick="insert_text('[color=#330033]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff99ff;" title="#ff99ff" onclick="insert_text('[color=#ff99ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc66cc;" title="#cc66cc" onclick="insert_text('[color=#cc66cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc33cc;" title="#cc33cc" onclick="insert_text('[color=#cc33cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #993399;" title="#993399" onclick="insert_text('[color=#993399]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #660066;" title="#660066" onclick="insert_text('[color=#660066]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff66ff;" title="#ff66ff" onclick="insert_text('[color=#ff66ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff33ff;" title="#ff33ff" onclick="insert_text('[color=#ff33ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff00ff;" title="#ff00ff" onclick="insert_text('[color=#ff00ff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc00cc;" title="#cc00cc" onclick="insert_text('[color=#cc00cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #990099;" title="#990099" onclick="insert_text('[color=#990099]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff66cc;" title="#ff66cc" onclick="insert_text('[color=#ff66cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff33cc;" title="#ff33cc" onclick="insert_text('[color=#ff33cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff00cc;" title="#ff00cc" onclick="insert_text('[color=#ff00cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc0099;" title="#cc0099" onclick="insert_text('[color=#cc0099]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #990066;" title="#990066" onclick="insert_text('[color=#990066]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff99cc;" title="#ff99cc" onclick="insert_text('[color=#ff99cc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc6699;" title="#cc6699" onclick="insert_text('[color=#cc6699]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc3399;" title="#cc3399" onclick="insert_text('[color=#cc3399]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #993366;" title="#993366" onclick="insert_text('[color=#993366]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #660033;" title="#660033" onclick="insert_text('[color=#660033]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff3399;" title="#ff3399" onclick="insert_text('[color=#ff3399]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff0099;" title="#ff0099" onclick="insert_text('[color=#ff0099]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff0066;" title="#ff0066" onclick="insert_text('[color=#ff0066]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc0066;" title="#cc0066" onclick="insert_text('[color=#cc0066]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc3366;" title="#cc3366" onclick="insert_text('[color=#cc3366]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff6699;" title="#ff6699" onclick="insert_text('[color=#ff6699]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff3399;" title="#ff3399" onclick="insert_text('[color=#ff3399]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ff0033;" title="#ff0033" onclick="insert_text('[color=#ff0033]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cc0033;" title="#cc0033" onclick="insert_text('[color=#cc0033]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #990033;" title="#990033" onclick="insert_text('[color=#990033]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #ffffff;" title="#ffffff" onclick="insert_text('[color=#ffffff]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #cccccc;" title="#cccccc" onclick="insert_text('[color=#cccccc]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #999999;" title="#999999" onclick="insert_text('[color=#999999]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #666666;" title="#666666" onclick="insert_text('[color=#666666]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #333333;" title="#333333" onclick="insert_text('[color=#333333]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>
			<span class="bbcode bbcolor" style="background: #000000;" title="#000000" onclick="insert_text('[color=#000000]','[/color]');toggleDisplay('bbcolor');">&nbsp;</span>

			<div class="ag_clearer"></div>
			<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
		</div>
		<!-- End Colorbar -->
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/hide.png" alt="##Hide##" title="##Hide##" onclick="insert_text('[hide]','[/hide]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/spoiler.png" alt="##Spoiler##" title="##Spoiler##" onclick="insert_text('[spoiler]','[/spoiler]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/comment.png" alt="##Quote##" title="##Quote##" onclick="insert_text('[quote]','[/quote]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/user_comment.png" alt="##UserQuote##" title="##UserQuote##" onclick="insert_text('[quote=USER]','[/quote]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/code.png" alt="##Code##" title="##Code##" onclick="insert_text('[code]','[/code]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/link_url.png" alt="Url" title="##URL##" onclick="toggleDisplay('bblinkurl');return false;" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/link_img.png" alt="Img" title="##Img Link##" onclick="toggleDisplay('bblinkimages');return false;" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/link_email.png" alt="Email" title="##eMail##" onclick="toggleDisplay('bblinkemail');return false;" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/emoticon_smile.png" alt="##Smilies##" title="##Smilies##"  onclick="toggleDisplay('bbsmiley');return false;" border="0"/>
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/film.png" alt="##Media##" title="##Media##" onclick="toggleDisplay('bbmovies');return false;" border="0"/>
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<a href="{url task=help}" onclick="window.open(this.href); return false;"><img class="bbcode" src="components/com_agora/img/agoraBBCode/help.png" alt="##Help##" title="##Help##" border="0"/></a>
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
</div>
<!-- End Toolbar 1 -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!-- If you need a second Toolbar - uncomment this and place the items -->
<!-- Begin Toolbar 2 -->
<div id="bbtoolbar2">
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/add_table.png" alt="##Add Table##" title="##Add Table##" onclick="insert_text('[table]','[/table]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/add_header.png" alt="##Add Header##" title="##Add Header##" onclick="insert_text('[th]','[/th]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/add_row.png" alt="##Add Row##" title="##Add Row##" onclick="insert_text('[tr]','[/tr]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/add_column.png" alt="##Add Column##" title="##Add Column##" onclick="insert_text('[td]','[/td]')" />
	<img class="vid_spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_align_left.png" alt="##Left##" title="##Left##" onclick="insert_text('[left]','[/left]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_align_center.png" alt="##Center##" title="##Center##" onclick="insert_text('[center]','[/center]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_align_right.png" alt="##Right##" title="##Right##" onclick="insert_text('[right]','[/right]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_align_justify.png" alt="##Justify##" title="##Justify##" onclick="insert_text('[justify]','[/justify]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_indent.png" alt="##Indent##" title="##Indent##" onclick="insert_text('[indent]','[/indent]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_horizontalrule.png" alt="HorizRule" title="##Horizontal##" onclick="insert_text('[hr]','')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_superscript.png" alt="##SScript##" title="##SScript##" onclick="insert_text('[sup]','[/sup]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_subscript.png" alt="##SubScript##" title="##SubScript##" onclick="insert_text('[sub]','[/sub]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_signature.png" alt="##Highlight##" title="##Highlight##" onclick="insert_text('[highlight]','[/highlight]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_list_bullets.png" alt="##Bullets##" title="##Bullets##" onclick="insert_text('[ul]','[/ul]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_list_numbers.png" alt="##Decimal##" title="##Decimal##" onclick="insert_text('[ol]','[/ol]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/text_list_none.png" alt="##Listitem##" title="##Listitem##" onclick="insert_text('[li]','[/li]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
</div>
<!-- End Toolbar 2 -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!-- Begin LinkURL -->
<div id="bblinkurl">
	<h5>##URL##</h5>
	<span>##URL##:</span> <input type="text" name="_bburl_link" value="http://" size="40" />&nbsp;
	<span>##Title##:</span> <input type="text" name="_bburl_title" value="##Title##" size="40" />&nbsp;
	<button onclick="insert_text('[url=' + this.form._bburl_link.value + ']' + this.form._bburl_title.value ,'[/url]');toggleDisplay('bblinkurl');return false;">##Insert##</button>
</div>
<!-- End LinkURL -->
<!-- Begin LinkImages -->
<div id="bblinkimages">
	<h5>##Img Link##</h5>
	<!--<span>##Width##:</span> <input type="text" name="_bbimg_width" value="100px" size="6" />&nbsp;
	<span>##Height##:</span> <input type="text" name="_bbimg_height" value="100px" size="6" />&nbsp;-->
	<span>##Img Link##:</span> <input type="text" name="_bbimg_url" value="http://" size="40" />&nbsp;
	<!--<button onclick="insert_text('[img width=' + this.form._bbimg_width.value + ' height=' + this.form._bbimg_height.value + ']' + this.form._bbimg_url.value ,'[/img]');toggleDisplay('bblinkimages');return false;">##Insert##</button>-->
	<button onclick="insert_text('[img]' + this.form._bbimg_url.value ,'[/img]');toggleDisplay('bblinkimages');return false;">##Insert##</button>
</div>
<!-- End LinkImages -->
<!-- Begin LinkEmail -->
<div id="bblinkemail">
	<h5>##eMail##</h5>
	<span>##Link##:</span> <input type="text" name="_bbemail_link" value="you@email.com" size="40" />&nbsp;
	<span>##Title##:</span> <input type="text" name="_bbemail_title" value="##this is my email link##" size="40" />&nbsp;
	<button onclick="insert_text('[email=' + this.form._bbemail_link.value + ']' + this.form._bbemail_title.value ,'[/email]');toggleDisplay('bblinkemail');return false;">##Insert##</button>
</div>
<!-- End LinkEmail -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!-- Begin Moviebar -->
<div id="bbmovies">
	<h5>##Media##</h5>
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/youtube.png" alt="YouTube" title="youTube" onclick="insert_text('[youtube]####VIDEO_ID####','[/youtube]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/myVideo.png" alt="myVideo" title="my Video" onclick="insert_text('[myvideo]####VIDEO_ID####','[/myvideo]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/clipfish.png" alt="Clipfish" title="Clipfish" onclick="insert_text('[clipfish]####VIDEO_ID####','[/clipfish]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/google.png" alt="Google" title="Google" onclick="insert_text('[googlevid]####VIDEO_ID####','[/googlevid]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/virb.png" alt="Virb" title="Virb" onclick="insert_text('[virb]####VIDEO_ID####','[/virb]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/metacafe.png" alt="Metacafe" title="Metacafe" onclick="insert_text('[metacafe]####VIDEO_ID## / ##add_your_title####','[/metacafe]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/ifilm.png" alt="iFilm" title="iFilm" onclick="insert_text('[ifilm]####VIDEO_ID####','[/ifilm]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/sevenload.png" alt="Sevenload" title="Sevenload" onclick="insert_text('[sevenload]####VIDEO_ID####','[/sevenload]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/garagetv.png" alt="GarageTV" title="GarageTV" onclick="insert_text('[####VIDEO_ID####','[/garagetv]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/revver.png" alt="Revver" title="Revver" onclick="insert_text('[revver]####VIDEO_ID####','[/revver]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/guba.png" alt="Guba" title="Guba" onclick="insert_text('[guba]####VIDEO_ID####','[/guba]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/stage6.png" alt="Stage6" title="Stage6" onclick="insert_text('[stage6 width=? height=?]####VIDEO_ID####','[/stage6]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/vimeo.png" alt="Vimeo" title="Vimeo" onclick="insert_text('[vimeo]####VIDEO_ID####','[/vimeo]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/xfire.png" alt="XFire" title="XFire" onclick="insert_text('[xfire]####VIDEO_ID####','[/xfire]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/collegehumor.png" alt="College Humor" title="College Humor" onclick="insert_text('[college]####VIDEO_ID####','[/college]')" />

<!-- +++++++++++++++++++++++++++++++++++++++++++ end first line ++++++++++++++++++++++++++++++++ -->
<div id="bbmovies_divider"></div>
<!-- +++++++++++++++++++++++++++++++++++++++++ start second line +++++++++++++++++++++++++++++++ -->
    <img class="bbcode" src="components/com_agora/img/agoraBBCode/tudou.png" alt="Tudou" title="Tudou" onclick="insert_text('[tudou]####VIDEO_ID####','[/tudou]')" />
    <img class="bbcode" src="components/com_agora/img/agoraBBCode/youku.png" alt="Youku" title="Youku" onclick="insert_text('[youku]####VIDEO_ID####','[/youku]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/megavideo.png" alt="MegaVideo" title="MegaVideo" onclick="insert_text('[megavideo]####VIDEO_ID####','[/megavideo]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/myspace.png" alt="mySpace" title="mySpace" onclick="insert_text('[myspace]####VIDEO_ID####','[/myspace]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/dailymotion.png" alt="Dailymotion" title="Dailymotion" onclick="insert_text('[dailymotion]####VIDEO_ID####','[/dailymotion]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/esnips.png" alt="eSnips" title="eSnips" onclick="insert_text('[esnips]####VIDEO_ID####','[/esnips]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/vsocial.png" alt="VSocial" title="VSocial" onclick="insert_text('[vsocial]####VIDEO_ID####','[/vsocial]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/veoh.png" alt="Veoh" title="Veoh" onclick="insert_text('[veoh]####VIDEO_ID####','[/veoh]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/yahoo.png" alt="Yahoo" title="Yahoo" onclick="insert_text('[yahoo]####YAHOO_ID&VIDEO_ID####','[/yahoo]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/videojug.png" alt="Video Jug" title="VideoJug" onclick="insert_text('[videojug]####VIDEO_ID####','[/videojug]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/aniboom.png" alt="Aniboom" title="Aniboom" onclick="insert_text('[aniboom]####VIDEO_ID####','[/aniboom]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/brightcove.png" alt="Brightcove" title="Brightcove" onclick="insert_text('[brightcove]####VIDEO_ID####','[/brightcove]')" />
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="vid_spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/quicktime.png" alt="QuickTime" title="QuickTime Video" onclick="insert_text('[quicktime width=? height=?]####http://www.yourPath.com/to_the/movie.mov####','[/quicktime]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/divx.png" alt="DivX" title="DivX Video" onclick="insert_text('[divx width=? height=?]####http://www.yourPath.com/to_the/movie.divx####','[/divx]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/wmp.png" alt="Windows Media" title="Windows Media" onclick="insert_text('[wmp width=? height=?]####http://www.yourPath.com/to_the/movie.wmv####','[/wmp]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/flv.png" alt="Flash Video" title="FLV-Flash Video" onclick="insert_text('[flv]http://www.yourPath.com/to_the/movie.flv','[/flv]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/mp4.png" alt="MP4 Video" title="MP4-Avi Video" onclick="insert_text('[mp4]http://www.yourPath.com/to_the/movie.mp4','[/mp4]')" />
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/swf.png" alt="Flash SWF" title="SWF-Flash File" onclick="insert_text('[swf height=?]####http://www.yourPath.com/to_the/flashfile.swf####','[/swf]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="vid_spacer" src="components/com_agora/img/agoraBBCode/spacer.png" alt="" border="0" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
	<img class="bbcode" src="components/com_agora/img/agoraBBCode/music.png" alt="Music" title="MP3-Flashplayer" onclick="insert_text('[mp3]####http://www.yourPath.com/to_the/musicfile.mp3####','[/mp3]')" />
	<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
</div>
<!-- End Moviebar -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!-- Begin Smileybar -->
<div id="bbsmiley">
	<h5>##Smilies##</h5>
{foreach from=$smilies item=smile}
	<img class="bbcode" src="{root_url tail=img/smilies/}{$smile.image}" alt="{$smile.text}" title="{$smile.text}" onclick="javascript:insert_text(' {$smile.text} ', ''); return false;" />
{/foreach}
</div>
<!-- End Smileybar -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
</div></div>