{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<div class="ag_agora">
	<div class="ag_rightend">
		<h2 class="ag_headerbar"><span class="ag_middle">##preview##</span></h2>
	</div>

	<table width="100%" cellpadding="0" cellspacing="0">
		{include file='include/topic_row.tpl'}
	</table>

	<div class="ag_rightend">
		<h2 class="ag_headerbar"><span class="ag_middle">{if $post_num gt 1}Re: {/if}{$topic.subject}</span></h2>
	</div>
	<div class="ag_outerwrap">
		<div id="p{$post.id}" class="ag_blockpost">
			<!-- post header -->
			<div class="ag_rightend">
				<div class="ag_headerbar">
					<span class="ag_middle">
						<span class="ag_postnum">
							#{$post_num}&nbsp;
						</span>
						<span class="ag_postdate">
							{$post.posted|agora_date}
						</span>
					</span>
				</div>
			</div>
			<!-- /post header -->
			<!-- post content -->
			<div>
				<div id="postrow_area_{$post.id}" class="ag_postrow ag_right_column">
					<div class="ag_post_preview">
						<!-- post text -->
						<div id="ag_postarea_{$post.id}" class="ag_postarea">
							<div id="fulltext{$post.id}">
								<h3 class="ag_posttitle">{if $post_num gt 1}Re: {/if}{$topic.subject}</h3>
								<div class="ag_postmsg">
									{$post.message}
									{if $post.edited}
									<div class="ag_postedited">
										<strong>##Edited by##:</strong> {$post.edited_by}<br/>{$post.edited|agora_date}
									</div>
									{/if}
								</div>
							</div>
						</div>

						<div id="ag_signature_{$post.id}" class="ag_signature">
							{if $post.user.signature != ''}
							<div class="ag_postsignature">
								{$post.user.signature}
							</div>
							{/if}
						</div>
						<!-- /post text -->
					</div>
				</div>
			</div>
			<!-- /post content -->
		</div>
	</div>
</div>