{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<div class="ag_postwrap">
	<div class="ag_rightend">
		<h2 class="ag_headerbar"><span class="ag_middle">##Section personal##</span></h2>
	</div>

	<div class="ag_outerwrap">
		<form id="profile2" method="post" action="{$self_url}">
			<fieldset>
				<legend class="ag_color">##Personal details legend##</legend>
				<div class="ag_infldsetprofile">

					{if $agora_config.o_prof_title eq '1'}
					<label for="user_title" class="ag_label">
						<strong>##Title##:</strong>
						<input class="ag_text_area2" id="user_title" type="text" name="form[title]" value="{$user.title}" size="30" maxlength="30" />
					</label>
					<br />
					{/if}

					{if $agora_config.o_prof_location eq '1'}
					<label for="user_location" class="ag_label">
						<strong>##Location##:</strong>
						<input class="ag_text_area2" id="user_location" type="text" name="form[location]" value="{$user.location}" size="30" maxlength="30" />
					</label>
					<br />
					{/if}

					{if $agora_config.o_usermap eq '1'}
					<label class="ag_label">
						<strong>##Click##:</strong>
						<span id="map" style="width: 400px; height: 300px; display: block; ">
							{script src="http://maps.google.com/maps?file=api&amp;v=1&amp;key=`$agora_config.o_um_key`"}
							{script src="js/gmap_profile.js"}
							<script type="text/javascript">
							//<![CDATA[
							{if $user.longitude && $user.latitude}
							gMapProfile({$user.longitude},{$user.latitude},{$agora_config.o_um_default_zoom},1);
							{else}
							gMapProfile({$agora_config.o_um_default_lng},{$agora_config.o_um_default_lat},{$agora_config.o_um_default_zoom},0);
							{/if}
							//]]>
							</script>
						</span>
					</label>				
					<br />
					<label for="lat" class="ag_label">
						<strong>##Latitude##:</strong>
						<input class="ag_text_area2" type="text" id="lat" name="form[latitude]" value="{$user.latitude}" size="50" />
					</label>
					<br />
					<label for="lng" class="ag_label">
						<strong>##Longitude##:</strong>
						<input class="ag_text_area2" type="text" id="lng" name="form[longitude]" value="{$user.longitude}" size="50" />
					</label>
					<br />
					{/if}

					{if $agora_config.o_prof_website eq '1'}
					<label for="user_website" class="ag_label">
						<strong>##Website##:</strong>
						<input class="ag_text_area2" id="user_website" type="text" name="form[url]" value="{$user.url}" size="50" maxlength="80" />
					</label>
					<br />
					{/if}

					{if $agora_config.o_prof_gender eq '1'}
					<label class="ag_label">
						<strong>##Gender##:</strong>
					</label>
					<label>
						<input name="form[gender]" type="radio" value="1" {if $user.gender == '1'}checked="checked" {/if}/>
						##Gender male##<br />
					</label>
					<label>
						<input name="form[gender]" type="radio" value="2" {if $user.gender == '2'}checked="checked" {/if}/>
						##Gender female##<br />
					</label>
					<label>
						<input name="form[gender]" type="radio" value="0" {if $user.gender == '0'}checked="checked" {/if}/>
						##Gender hidden##<br />
					</label>
					<br />
					{/if}

					{if $agora_config.o_prof_dob eq '1'}
					<label class="ag_label">
						<strong>##Birthday##:</strong>
					</label>
					<select name="form[birthday-day]" style="width: 50px; float: left; " >
						<option value="0">--</option>
						{section name=day start=0 loop=31}
						{assign var=birth_day value=$smarty.section.day.iteration}
						<option value="{$birth_day}" {if $birthday.day eq $birth_day}selected="selected"{/if}>
							{$birth_day}
						</option>
						{/section}
					</select>
					<select name="form[birthday-month]" style="margin-left: 5px; width: 100px; float: left; ">
						<option value="0">--</option>
						<option value="1" {if $birthday.month eq 1}selected="selected"{/if} >##January##</option>
						<option value="2" {if $birthday.month eq 2}selected="selected"{/if}>##February##</option>
						<option value="3" {if $birthday.month eq 3}selected="selected"{/if}>##March##</option>
						<option value="4" {if $birthday.month eq 4}selected="selected"{/if}>##April##</option>
						<option value="5" {if $birthday.month eq 5}selected="selected"{/if}>##May##</option>
						<option value="6" {if $birthday.month eq 6}selected="selected"{/if}>##June##</option>
						<option value="7" {if $birthday.month eq 7}selected="selected"{/if}>##July##</option>
						<option value="8" {if $birthday.month eq 8}selected="selected"{/if}>##August##</option>
						<option value="9" {if $birthday.month eq 9}selected="selected"{/if}>##September##</option>
						<option value="10" {if $birthday.month eq 10}selected="selected"{/if}>##October##</option>
						<option value="11" {if $birthday.month eq 11}selected="selected"{/if}>##November##</option>
						<option value="12" {if $birthday.month eq 12}selected="selected"{/if}>##December##</option>
					</select>
					<select name="form[birthday-year]" style="margin-left: 5px; width: 70px; float: left; " >
						<option value="0">--</option>
						{section name=year max=80 loop=2002 step=-1}
						{assign var=birth_year value=$smarty.section.year.index}
						<option value="{$birth_year}" {if $birthday.year eq $birth_year}selected="selected"{/if}>
							{$birth_year}
						</option>
						{/section}
					</select>
					<br /><br />
					<label>
						<input type="checkbox" name="form[hide_age]" value="1"{if $user.hide_age}checked="checked"{/if} />
						##Birthday hide age##
					</label>
					<br /><br />
					{/if}

					{if $agora_config.o_prof_interests eq '1'}
					<label for="user_interests" class="ag_label">
						<strong>##Interests##:</strong>
						<input class="ag_text_area2" id="user_interests" type="text" name="form[interests]" value="{$user.interests}" size="70" maxlength="254" />
					</label>
					<div class="ag_hint">##Interests hint##</div>
					{/if}
				</div>
			</fieldset>

			{if $agora_config.o_prof_about eq '1'}
			<fieldset>
				<legend class="ag_color">##Aboutme##</legend>
				<div class="ag_infldsetprofile">
					<p class="ag_profile_instructions">##Aboutme info##</p>
					<label>{* ##Aboutme max length## *}<br />
						<textarea id="req_message" name="form[aboutme]" rows="4" cols="65">{$user.aboutme|escape}</textarea><br />
					</label>
					{include file=misc/bblinks.tpl}
				</div>
			</fieldset>
			<div class="ag_hint">##Instructions##</div>
			<div class="ag_clearer"></div><br />
			{/if}
			<div class="ag_postbuttons">
				<span>
					<input class="ag_button ag_btn_submit" type="submit" name="update" value="##Submit##" title="##Submit##" accesskey="s" />
				</span>
			</div>
			<input type="hidden" name="page" value="personal" />
			<input type="hidden" name="action" value="save" />
			<input type="hidden" name="form_sent" value="1" />
		</form>
	</div>
</div>