{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

<div style="float:left; width: 10%;">
	{include file=configuration/links.tpl}
</div>

{$html->toolbar->title('##Edit IP ban##')}
{$html->toolbar->save()}
{$html->toolbar->cancel()}

<div style="float:right; width: 90%;">
	<form name="adminForm" method="POST">
		{$html->form->param('option','com_agora')}
		{$html->form->param('task','configuration')}
		{$html->form->param('agora_task','configuration')}
		{$html->form->param('page','bans')}
		{$html->form->param('action','save')}

		{$html->form->param('form[id]',$ban.id)}

		<fieldset>
			<legend>##Ban parameters##</legend>
			<table class="admintable">
				<tbody>
					<tr>
						<td class="key">##IP address##</td>
						<td>
							{strip}
							<input type="text" name="form[ip][1]" size="2" maxsize="3" value="{$ban.ip[0]}"/>&nbsp;&bull;&nbsp;
							<input type="text" name="form[ip][2]" size="2" maxsize="3" value="{$ban.ip[1]}" />&nbsp;&bull;&nbsp;
							<input type="text" name="form[ip][3]" size="2" maxsize="3" value="{$ban.ip[2]}" />&nbsp;&bull;&nbsp;
							<input type="text" name="form[ip][4]" size="2" maxsize="3" value="{$ban.ip[3]}" />
							{/strip}
						</td>
					</tr>
					{adminform->text var=message caption='Message' desc='ban_message_info' value=$ban.message}
				</tbody>
			</table>
		</fieldset>

		<fieldset>
			<legend>##Expiration##</legend>
			<table class="admintable">
				<tbody>
					{adminform->text var='expire][days' value=$ban.expire.yday caption='Days' size=1}
					{adminform->text var='expire][hours' value=$ban.expire.hours caption='Hours' size=1}
					{adminform->text var='expire][minutes' value=$ban.expire.minutes caption='Minutes' size=1}
				</tbody>
			</table>
		</fieldset>

	</form>
</div>