{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##Prune old topics##')}

<div style="float:left; width: 10%;">
	{include file=maintenance/links.tpl}
</div>
{if isset($topics_deleted)}
<h1>##Number of deleted topics##: {$topics_deleted}</h1>
{/if}

<form action="{url task=maintenance page=prune}" method="POST">
	<input type="hidden" name="action" value="confirm" />
	<fieldset>
		<legend>##Prune old topics##</legend>
		<table class="admintable">
			{adminform->text var=days value=10 caption='days old' desc='days old descr'}
			{adminform->radio var=sticky value=1 caption='prune sticky' desc='prune sticky descr'}
			<tr>
				<td class="key editlinktip hasTip" title="##prune from forum##::##Prune from forum descr##">##Prune from forum##</td>
				<td>
					<select style="width: 200px" name="form[forum]">
						<option value="0" selected="1">##All forums##</option>
						{foreach from=$forums item=pr_cat}
						<optgroup label="{$pr_cat.cat_name}">
							{foreach from=$pr_cat.forums item=pr_forum}
							<option value="{$pr_forum.id}">{strip}
								{section name=pr_level loop=$pr_forum.level}&nbsp;{/section}
								{$pr_forum.forum_name}
							{/strip}</option>
							{/foreach}
						</optgroup>
						{/foreach}

					</select>
				</td>
			</tr>
			<tr>
				<td colspan="2" align="center">
					<input type="submit" value="##Prune##"/>
				</td>
			</tr>
		</table>
	</fieldset>
</form>
