{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##OPTIONS## - ##Display##')}
{$html->toolbar->save()}
{$html->toolbar->cancel()}

<div style="float:left; width: 10%;">
	{include file='options/links.tpl'}
</div>

<div>
	<form name="adminForm" method="POST">
		{$html->form->param('option','com_agora')}
		{$html->form->param('agora_task','options')}
		{$html->form->param('task','options')}
		{$html->form->param('page','disp')}
		<fieldset>
			<legend>##Display##</legend>
			<table class="admintable">
				<tbody>
					{adminform->text 	caption='BBCodeVideoWidth'		var='o_bbcode_video_width'			desc='BBCodeVideoWidth_2'}
					{adminform->text 	caption='BBCodeVideoHeight'		var='o_bbcode_video_height'			desc='BBCodeVideoHeight_2'}
					{adminform->radio 	caption='user_data_right'		var='o_userdata'		desc='user_data_2'}
					{adminform->radio 	caption='Legend'				var='o_legend_enabled'			desc='Legend_2'}
					{adminform->select	caption='Default View' 			var=o_default_view keys=$defaultview  selected=$agora_config.o_default_view desc='Default view2' maxlength=255}
					{adminform->radio 	caption='Version number'		var='o_show_version'		desc='Show version'}
					{adminform->radio 	caption='Quick post'	 		var='o_quickpost'			desc='Quick post_2'}
					{adminform->radio 	caption='BBCode Quick post'	 	var='o_bbcode_quickpost'	desc='BBCode Quick post_2'}
					{adminform->radio 	caption='boardstats'	 		var='o_bstats'				desc='boardstats_2'}
					{adminform->radio 	caption='user_guest'	 		var='o_user_guest'			desc='user_guest_2'}
					{adminform->radio 	caption='Usersonline'	 		var='o_users_online'		desc='Usersonline_2'}
					{adminform->radio 	caption='boardinfo'	 			var='o_binfo'				desc='boardinfo_2'}
					{adminform->radio 	caption='User info'				var='o_show_user_info'		desc='Show information user'}
					{adminform->radio 	caption='Quickjump'	 			var='o_quickjump'			desc='Quickjump_2'}
					{adminform->radio 	caption='QuickjumpFooter'	 	var='o_quickjump_footer'			desc='QuickjumpFooter_2'}
					{adminform->radio 	caption='User post'				var='o_show_post_count'		desc='posts a user'}
					{adminform->radio 	caption='Smilies'				var='o_smilies'				desc='Convert smilies'}
					{adminform->radio 	caption='Makelinks'				var='o_make_links'			desc='Makelinks_2'}
					{adminform->radio 	caption='Linkswindow'			var='o_new_window_link'		desc='Linkswindow_2'}
					{adminform->radio 	caption='Most Active Control'	var='o_top_ten'				desc='topten'}
					{adminform->text  	caption='Most Active'			var='o_top_post_count'		desc='Most Active Desc' size=3 maxlength=3}
					{adminform->radio 	caption='Social Bookmarks'		var='o_social_bookmarks'	desc='social bookmarks_2'}
				</tbody>
			</table>
		</fieldset>
	</form>
</div>