{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##OPTIONS## - ##Settings##')}
{$html->toolbar->save()}
{$html->toolbar->cancel()}

<div style="float:left; width: 10%;">
	{include file='options/links.tpl'}
</div>

<div>
	<form name="adminForm" method="POST">
		{$html->form->param('option','com_agora')}
		{$html->form->param('agora_task','options')}
		{$html->form->param('task','options')}
		{$html->form->param('page','settings')}
		<fieldset>
			<legend>##Settings##</legend>
			<table class="admintable">
				<tbody>
					{adminform->radio 	caption='Show Full Names'	var='o_fullnames_enabled'	desc='Show Full Names_2'}
					{adminform->radio 	caption='RSS'				var='o_rss_enabled'			desc='RSS_2'}
					{adminform->radio 	caption='Subscrip'			var='o_subscriptions'	desc='Subscrip_2'}
					{adminform->radio 	caption='AutoSubscrip' 		var='o_auto_subscriptions'	desc='AutoSubscrip_2'}
					{adminform->radio 	caption='guestCaptcha' 		var='o_guest_post_captchabox'	desc='guestCaptcha_2'}
					{adminform->radio 	caption='guestUserList' 	var='o_guest_userlist'	desc='guestUserList_2'}
					{adminform->radio 	caption='Censor'	 		var='o_censoring'			desc='Censor_2'}
					{adminform->radio 	caption='User ranks'	 	var='o_ranks'				desc='User ranks_2'}
					{adminform->radio 	caption='Search all'	 	var='o_search_all_forums'	desc='Search all_2'}
					{adminform->text 	caption='PollOpt'	 		var='poll_max_fields'	desc='NumFields_1' size=4}
					{adminform->radio 	caption='Enable PMS'   		var='o_pms_enabled' desc='Enable PMS description'}
			    	{adminform->text 	caption='topics per page' 	var='o_disp_topics_default' desc='POSTS_DEFAULT_2'  size=50 maxlength=255}
				    {adminform->text 	caption='posts per page' 	var='o_disp_posts_default' desc='POSTS_DEFAULT'  size=50 maxlength=255}
				    {adminform->text 	caption='PMs per page' 		var='o_pms_mess_per_page' desc='PMs per page description'  size=50 maxlength=255}
					{adminform->radio 	caption='allow_attach'	 	var='o_allow_attach'	desc='allow_attach_2'}
					{adminform->radio 	caption='allow delete attachments'	var='o_allow_delete_attach'	desc='Allow user to delete attachments'}
					{adminform->select var=o_attach_type keys=$attypes selected=$agora_config.o_attach_type caption='Attachment type' desc='Attachment type' maxlength=255}					
					{adminform->text 	caption="Allowed files"		var="o_uploadile_laws" desc="Allowed files_2"  size=50}
					{adminform->radio 	caption="Show thumbs" 		var="o_uploadile_thumb" desc="Make thumbs_2"}
					{adminform->text	caption="Thumb size" 		var="o_uploadile_thumb_size" desc="Thumb size_2" size=4}
					{adminform->text	caption="Display size" 		var="o_uploadile_disp_size" desc="Display size" size=4}
					{adminform->text 	caption="Member maximum file size"	var="o_uploadile_maxsize_member" desc="Member maximum file size_2" size=15}
					{adminform->text	caption="Member limit" 		var="o_uploadile_limit_member" desc="Member limit_2"  size=15}
					{adminform->text	caption="Moderator maximum file size" var="o_uploadile_maxsize_modo" desc="Moderator maximum file size_2"  size=15}
					{adminform->text	caption="Moderator limit" 	var="o_uploadile_limit_modo" desc="Moderator limit_2"  size=15}
					{adminform->radio 	caption="Cron type"			var="o_rss_cron_builtin" desc="Use builtin cron"}
					{adminform->text  	caption="Cron interval"		var="o_rss_cron_interval" desc="Builtin cron interval" size=7}
				</tbody>
			</table>
		</fieldset>
	</form>
</div>