<?php
defined ( '_JEXEC' ) or die ( 'Direct Access to this location is not allowed.' );

require_once (JPATH_SITE .DS.'plugins'.DS.'content'.DS.'agoradiscuss'.DS.'helpers'.DS.'functions.php');
require_once (JPATH_SITE .DS.'plugins'.DS.'content'.DS.'agoradiscuss'.DS.'helpers'.DS.'agora'.DS.'com_agora.php');

jimport ( 'joomla.plugin.plugin' );


class plgContentAgoraDiscuss extends JPlugin {

    var $hfunc;

    var $db;

    var $discuss;

    function plgContentAgoraDiscuss(&$subject, $config)
    {

        parent::__construct ( $subject, $config );

        global $mainframe;

        $document = & JFactory::getDocument ();

        // Load language
        JPlugin::loadLanguage ( 'plg_content_agoradiscuss', JPATH_ADMINISTRATOR );

        $this->hfunc = & HelperFunctions::getInstance();

        $this->db = & JFactory::getDBO();

        $this->discuss = & Discuss::getInstance();

        // Add BBeditor CSS & Java

        $this->plgSetBBEditorJavaCss($document);

        // Add style sheet

        $this->plgGetCSS($document);

        // Add Script

        $this->plgGetJAVA($document);


        //$this->hfunc->setEnableError(1);

    }

    function plgGetBBEditorHTML($cfg)
    {

        $html='';
        $text='';
        if ($cfg['bbeditor']==1 || $cfg['bbeditor']==2)
        {

            $view_bmsm = JRequest::getVar ( 'view' );

            if ($cfg['bbeditor']==1 || $view_bmsm=='article'|| $cfg['displaytposts']!=''){


                $num = $this->plgGetPostCount($cfg);

                if ($num>0){

                    $access = $cfg['useraccess'];

                    if ($access['post_reply']==1){

                        $html .= '<table style="width:100%;" border="0"><tbody><tr><td>';

                        $html .= '<div style="clear:both;">';

                        $html .= '<div style="float:left;">';

                        $html .= '<br />';

                        $action = $this->hfunc->getUrl($cfg['row']);

                        if ($cfg['bbeditor_ab']==0){


                            $html .=JText::_("AGORA_SUBMIT_ADD_POSTS");

                            $html .= '</div>';

                            $html .= '<div style="clear:both;">';

                            $html .= '<hr />';

                        }

                        $html .= '</div>';

                        $html .= '<div>';

                        $html .= '<form name="frmBBEditor" method="post" action="'.$action.'">';

                        $html .= '<p>';

                        $html .= '<script>edToolbar("mytxtbbeditor1");</script>';

                        $html .='<textarea name="mytxtbbeditor1" id="mytxtbbeditor1" class="ed" title="'.JText::_("AGORA_PLEASE_ENTER_TEXT").'">'.$text.'</textarea>';

                        $html .= '</p>';

                        $html .= '<input type="hidden" name="topicId" value="'.$cfg['topicId'].'">';

                        $html .= '<input type="hidden" name="forumId" value="'.$cfg['forumId'].'">';

                        $html .= '<input class="s_button" type="submit" name="Submit" value="'.JText::_("AGORA_SUBMIT_POSTS").'">';

                        $html .= '</form>';

                        $html .= '</div>';

                        //$html .= '</div>';

                        if ($cfg['bbeditor_ab']==1){

                            $html .='<br /><br /><hr /><br />';

                        }

                        $html .= '</td></tr></tbody></table>';

                    }

                }
            }

        }

        return $html;

        //return '';

    }
    function plgSetBBEditorJavaCss($document)
    {

        $css = $this->hfunc->getSiteURL() .'plugins/content/agoradiscuss/bbeditor/styles.css';

        $js = $this->hfunc->getSiteURL() .'plugins/content/agoradiscuss/bbeditor/ed.js';

        $document->addStyleSheet($css);

        $document->addScript ($js);

    }
    function plgGetCSS($document)
    {

        $plugin = & JPluginHelper::getPlugin ( 'content', 'agoradiscuss' );

        $pluginParams = new JParameter ( $plugin->params );

        $this->params  = $pluginParams->_registry['_default']['data'];

        $cfg['cssid']=$this->params->agora_style;

        $this->db->setQuery('SELECT css, slimbox FROM #__agora_discussbot_style WHERE id = '.$cfg['cssid']);

        $datas = $this->db->loadAssocList();

        if (!is_null($datas)){

            foreach ($datas as $data)

            {

                $url = $this->hfunc->getSiteURL() .'plugins/content/agoradiscuss/css/'.$data['css'];

                $urls = $this->hfunc->getSiteURL() . 'plugins/content/agoradiscuss/css/'.$data['slimbox'];

            }

        }else{

            $url = $this->hfunc->getSiteURL() . 'plugins/content/agoradiscuss/css/Agora/agorathone.css';

            $urls = $this->hfunc->getSiteURL() . 'plugins/content/agoradiscuss/css/Agora/slimbox.css';

        }

        $document->addStyleSheet($url);

        $document->addStyleSheet($urls);


    }

    function plgGetJAVA($document)
    {

        $plugin = & JPluginHelper::getPlugin ( 'content', 'agoradiscuss' );

        $pluginParams = new JParameter ( $plugin->params );

        $this->params  = $pluginParams->_registry['_default']['data'];

        $cfg['cssid']=$this->params->agora_style;

        $this->db->setQuery('SELECT java, code FROM #__agora_discussbot_style WHERE id = '.$cfg['cssid']);

        $datas = $this->db->loadAssocList();

        if (!is_null($datas)){

            foreach ($datas as $data)

            {

                if (!is_null($data['java'])){

                    if ($data['java'] !=''){

                        $url = $this->hfunc->getSiteURL() .'plugins/content/agoradiscuss/scripts/'.$data['java'];

                        $document->addScript ($url);

                    }

                }

                if (!is_null($data['code'])){

                    if ($data['code']!=''){

                        $document->addScriptDeclaration ($data['code']);

                    }
                }

            }

        }



        $document->addScript (JURI::base (). 'components/com_agora/js/slimbox.js' );

        $document->addScript (JURI::base (). 'components/com_agora/js/hide.js' );

        //$document->addScriptDeclaration('window.addEvent(\'domready\',function(){Lightbox.init({descriptions: \'.lightboxDesc\', showControls: true});});');


    }

    function onAfterDisplayContent( &$row, &$params, $page=0 )
    {

        if (!($row->id)) {

            return;

        }

        $this->plgDisplay($row, $params, $page, $cfg);

    }


    function plgDisplay(&$row, &$params, &$page, &$cfg)
    {

        $cfg	= array();

        $regex = '/\{discuss\s*.*?}/i';

        $cfg['regex']= $regex;

        $text ='';

        $cfg['artId']= -1;

        $cfg['forumId']= -1;

        $cfg['topicId']= -1;

        // simple performance check to determine whether bot should process further
        $plugin = & JPluginHelper::getPlugin ( 'content', 'agoradiscuss' );

        $pluginParams = new JParameter ( $plugin->params );

        $this->params  = $pluginParams->_registry['_default']['data'];

        if ( !$pluginParams->get( 'enabled', 1 ) ) {

            $row->text = preg_replace( $regex, '', $row->text  );

            return true;

        }


        $cfg['currentuser'] = $this->plgGetCurrentUserData();

        $cfg['forumconfig'] = $this->plgGetForumConfig();

        $cfg['showfirstpost']=$this->params->agora_first_posts; //displayfirst post

        $cfg['sig']=$this->params->agora_signature; //display signature at bottom of the post

        $cfg['reqd']= $this->params->agora_use_button_reqd; //display REQD as image or text

		$cfg['postlimit']= $this->params->agora_post_limit; //How many post to be display
		
    /*if ($user['id']==0){

        $cfg['order']=  $this->params->agora_last_post_top; //Asc or Desc
        $cfg['order']=  $user['reverse_posts']; //Asc or Desc order

        }else{*/

        $cfg['order']=  $cfg['currentuser']['reverse_posts']; //Asc or Desc order

        //}

        $cfg['dissbtn']= $this->params->agora_use_button; //Use main discuss button or no

        $cfg['topiclink']= $this->params->agora_show_topic_link; // Show topic link on the top

        $cfg['expand']= $this->params->agora_expand_posts; // Expan post on load of the page or not

        $cfg['cpcontent']= $this->params->agora_copy_content; // On the first what will be post

        $cfg['fpshow']= $this->params->agora_show_front_page; // Show in the frontpage

        $cfg['secshow']= $this->params->agora_show_sec; // Show in the section

        $cfg['catshow']= $this->params->agora_show_cat; // Show in category

        $cfg['inshow']= $this->params->agora_show_intro; // Show in intro

        $cfg['adddesc']= $this->params->agora_add_topic_description; // add description to a topic

        $cfg['redirection']= $this->params->agora_on_first_redirection; // on first add redirection

        $cfg['pluginmode']= $this->params->agora_discuss_mode; // mod of work

        $cfg['guesterrormessage'] = 1; //show error message for guest

        $cfg['defaultforum'] = $this->params->agora_forum_id;

        $cfg['sections'] = $this->params->agora_sec_id;

        $cfg['categories'] = $this->params->agora_cat_id;

        $cfg['ignoredarticles'] = $this->params->agora_igonered_art_id;

        $cfg['showavatar'] = $this->params->agora_avatar;

        $cfg['avatarh'] = str_replace('px', '', $this->params->agora_avatar_h) . 'px';

        $cfg['avatarw'] = str_replace('px', '', $this->params->agora_avatar_w) . 'px';

        $cfg['rowId'] = $row->id; //Real ID of the article

        $cfg['row'] = & $row;

        $cfg['userid']= '-1';

        $cfg['postuserid']= '-1';

        $cfg['bbeditor'] = $this->params->agora_form; // Show QP

        $cfg['bbeditor_ab'] = $this->params->agora_quickpost_on_top;

        $cfg['expande_on_post'] = $this->params->agora_expand_on_post;


        $this->plgProccessEditorRequest($cfg);

        if ($cfg['pluginmode']==0){

            $this->plgDispalyManual($row, $params, $page, $cfg);

        }elseif($cfg['pluginmode']==1){

            $this->plgDispalyAutomaticly($row, $params, $page, $cfg);

        }else{

            $this->plgDispalySemiAutomatic($row, $params, $page, $cfg);

        }

        unset($cfg);

    }
    function plgDisplayBBEditor(&$cfg, $text)
    {

        if ($cfg['bbeditor_ab']==0){

            return $text.$this->plgGetBBEditorHTML($cfg);

        }else{

            return $this->plgGetBBEditorHTML($cfg).$text;

        }

    }
    function plgDispalyAutomaticly(&$row, &$params, &$page, &$cfg)
    {

        $regex = $cfg['regex'];

        if ($this->hfunc->getInFrontPageSectionCategoryArticle($cfg['fpshow'],$cfg['secshow'],$cfg['catshow']) == 'True')
        {

            if ($this->hfunc->getInIntro($cfg['row'],  $cfg['inshow'])== 'True'){
                if ($this->plgShowInSectionCategoryArticle($cfg) =='True')
                {
                    $text='';

                    $row->text = preg_replace( $regex, '', $row->text  );

                    $cfg['rowId'] = $row->id;

                    $cfg['forumId'] = $this->plgGetForumID($cfg);

                    if ($cfg['forumId']!=''){

                        $cfg['useraccess'] = $this->plgGetUserPermision($cfg);

                        $text = '<br />'.$this->plgDisplayDiscuss($row, $params, $page, $cfg);

                        $row->text = $row->text.$this->plgDisplayBBEditor($cfg, $text);

                    }else{

                        $row->text = preg_replace( $regex, '', $row->text  );

                    }

                }else{

                    $row->text = preg_replace( $regex, '', $row->text  );

                }
            }

        }else{

            $row->text = preg_replace( $regex, '', $row->text  );
        }

    }

    function plgDispalyManual(&$row, &$params, &$page, &$cfg)
    {

        // find all instances of plugin and put in $matches

        $regex = $cfg['regex'];

        preg_match_all( $regex, $row->text, $matches );

        // Number of plugins

        $count = count( $matches[0] );

        if ( $count ) {

            $request_forumId	= array();

            for($i=0; $i < $count; $i ++)

            {

                $cfg['rowId'] = $row->id;

                $forumId = str_replace ( 'discuss', '', $matches [0] [$i] );

                $forumId = str_replace ( 'forum:', '', $forumId );

                $forumId = str_replace ( '{', '', $forumId );

                $forumId = str_replace ( '}', '', $forumId );

                $forumId = trim ( $forumId );

                $cfg['forumId']  = trim ( $forumId );

                $cfg['useraccess'] = $this->plgGetUserPermision($cfg);

                $text = $this->plgDisplayDiscuss($row, $params, $page, $cfg);

                $row->text = str_replace( $matches[0][$i], $this->plgDisplayBBEditor($cfg,$text), $row->text);

            }

        }

    }

    function plgDispalySemiAutomatic(&$row, &$params, &$page, &$cfg)
    {

        $regex = $cfg['regex'];

        preg_match_all( $regex, $row->text, $matches );

        // Number of plugins

        $count = count( $matches[0] );

        if ( $count ) {

            $this->plgDispalyManual($row, $params, $page, $cfg);

        }else{

            $this->plgDispalyAutomaticly($row, $params, $page, $cfg);

        }

    }

    function plgDisplayDiscuss(&$row, &$params, &$page, &$cfg)
    {

        $access = $cfg['useraccess'];

        $request_forumId = $this->plgProccessRequest($cfg);

        if ($request_forumId['addtopic'] !=""){ //chk those somebody push the button

            //Some values are submited

            $cfg['artId']= $request_forumId['id_art']; //ID of the article received by pressing on button

            $cfg['forumId']  =  $request_forumId['addtopic_id_forum'];

            if ($cfg['artId']==$cfg['rowId']){

                if (!$this->discuss->IsBanned()){ // Is user ban from posting

                    $cfg['topicId'] = $this->plgVerifayExistanceOfTopic($cfg);

                    if ($cfg['topicId']){

                        $text = $this->plgCollapseOrExpandOrLink($cfg);

                    }else{


                        $cfg['topicId'] = $this->plgCreateRecordInAgoraTopicTable($cfg);

                        if ($this->plgCreateRecordInAgoraDiscussTable($cfg)==False){

                            $this->plgDeleteRecordInAgoraTopicTableAndAgoraDiscussTable($cfg);

                            $cfg['topicId'] = $this->plgVerifayExistanceOfTopic($cfg);

                            $text = $this->plgCollapseOrExpandOrLink($cfg);

                        }else{

                            if ($cfg['redirection']==1){

                                $this->plgRedirectURL($cfg);

                            }

                            $text = $this->plgCollapseOrExpandOrLink($cfg);

                        }


                    }

                }else{

                    $text = implode("\n", $this->plgGetAddButtonOrText($cfg));

                }

            }else{ //It is not, check does this artical have topic and post, and if has display


                if ($this->plgVerifyExistanceOfRecord($cfg)){

                    $cfg['topicId'] = $this->plgVerifayExistanceOfTopic($cfg);

                    if ($request_forumId['displaytposts'] !=""){

                        $cfg['artId'] =  str_replace ($cfg['forumId'].':', '', $request_forumId['displaytposts'] );

                        if ($cfg['artId']==$cfg['rowId']){

                            $content = $this->plgGetPosts($cfg);

                            $text = implode("\n",$content);

                        }else{

                            $text = $this->plgCollapseOrExpandOrLink($cfg);

                        }

                    }elseif ($request_forumId['showtopicId'] !=""){

                        $text ='ERROR';

                    }else{

                        $text = $this->plgCollapseOrExpandOrLink($cfg);

                    }

                }else{

                    $text = implode("\n", $this->plgGetAddButtonOrText($cfg));

                }

            }

        }else{ //first show of the articles, run display if has topic if does not add button for adding new topic

            if ($this->plgVerifyExistanceOfRecord($cfg)){

                $cfg['topicId'] = $this->plgVerifayExistanceOfTopic($cfg);

                if ($request_forumId['displaytposts'] !=""){

                    $cfg['artId'] =  str_replace ( $cfg['forumId'].':', '', $request_forumId['displaytposts'] );

                    if ($cfg['artId']==$cfg['rowId']){

                        $content = $this->plgGetPosts($cfg);

                        if (empty($content)){

                            if ($this->plgCreateRecordInAgoraDiscussTable($cfg)==False){

                                $this->plgDeleteRecordInAgoraTopicTableAndAgoraDiscussTable($cfg);

                                $text = implode("\n", $this->plgGetAddButtonOrText($cfg));

                            }else{

                                if ($cfg['redirection']==1){

                                    $this->plgRedirectURL($cfg);

                                }

                                $text = $this->plgCollapseOrExpandOrLink($cfg);

                            }

                        }else{

                            $text = implode("\n",$content);

                        }

                    }else{

                        $text = $this->plgCollapseOrExpandOrLink($cfg);

                    }

                }elseif ($request_forumId['showtopicId'] !=""){


                    $content = $this->plgGetPosts($cfg);

                    if (empty($content)){

                        $text = $this->plgCollapseOrExpandOrLink($cfg);


                    }else{

                        $text = implode("\n",$content);

                    }

                }else{

                    if ($this->plgVerifayExistanceOfTopic($cfg)){

                        $num = $this->plgGetPostCount($cfg);

                        if ($num==0){

                            if (!$this->discuss->IsBanned()){ // Is user ban from posting


                                $this->plgCreatePostInAgoraPostTable($cfg);

                                $text = $this->plgCollapseOrExpandOrLink($cfg);


                            }else{

                                $text = implode("\n", $this->plgGetAddButtonOrText($cfg));

                            }

                        }else{

                            $text = $this->plgCollapseOrExpandOrLink($cfg);

                        }

                    }else{

                        $this->plgDeleteRecordInAgoraTopicTableAndAgoraDiscussTable($cfg);

                        $text = implode("\n", $this->plgGetAddButtonOrText($cfg));

                    }

                }

            }else{

                $text = implode("\n", $this->plgGetAddButtonOrText($cfg));

            }
        }

        return $text;


    }

    function plgProccessEditorRequest(&$cfg)
    {


        $content['bbeditor_topic'] = JRequest::getVar('topicId', '', 'post' ); // get var from POST

        $content['bbeditor_forumId']= JRequest::getVar('forumId', '', 'post' ); // get var from POST

        $content['bbeditor_submit_value'] = JRequest::getVar('mytxtbbeditor1', '', 'post' ); // get var from POST

        $cfg['displaytposts'] = JRequest::getVar('discuss_displaytposts', '', 'POST' ); //get var from $_POST

        if ($content['bbeditor_submit_value']!='' && $content['bbeditor_topic'] !='' && $content['bbeditor_forumId']!=''){

            if ($cfg['expande_on_post']==1){

                $cfg['expand'] = '1';

            }

            return $this->discuss->AddPostToTopic($content['bbeditor_topic'] , $content['bbeditor_forumId'], $content['bbeditor_submit_value']);

        }

    }
    function plgProccessRequest($cfg)
    {

        $content	= array();

        $content['id_art'] =  '';

        $content['addtopic_id_forum'] = '';

        $content['addtopic'] ='';

        $content['displaytposts'] ='';

        $content['bbeditor_topic'] = '';

        $content['addtopic'] = JRequest::getVar('discuss_addtopic', '', 'POST' ); //get var from $_POST

        $content['displaytposts'] = JRequest::getVar('discuss_displaytposts', '', 'POST' ); //get var from $_POST

        $content['showtopicId'] = JRequest::getVar('discuss', '', 'GET' ); // get var from POST




        if ($content['addtopic']!=""){

            $content['id_art'] =  str_replace ( $cfg['forumId'].':', '', $content['addtopic'] );

            $content['addtopic_id_forum'] = str_replace ( ':'.$cfg['rowId'], '', $content['addtopic']);

        }

        return $content;
    }

    function plgCollapseOrExpandOrLink($cfg)
    {

        $text='';

        $content	= array();

        $access = $cfg['useraccess'];

        if ($access['read']==1){

            if ($cfg['expand']==1){

                if($cfg['topicId']){

                    $content = $this->plgGetPosts($cfg);

                    if (empty($content)){

                        $text = implode("\n",$this->plgGetButtonOrTextOrLink($cfg));

                    }else{


                        $text = implode("\n",$content);

                    }

                }

            }elseif ($cfg['expand']==2){

                if($cfg['topicId']){

                    $content = $this->plgGetPosts($cfg);

                    if (empty($content)){


                        $text = implode("\n",$this->plgGetButtonOrTextOrLink($cfg));

                    }else{

                        if ($this->hfunc->getView()=='a'){

                            $text = implode("\n",$content);

                        }else{

                            $text = implode("\n",$this->plgGetButtonOrTextOrLink($cfg));

                        }

                    }

                }

            }else{


                $text = implode("\n",$this->plgGetButtonOrTextOrLink($cfg));

            }

        }else{

            $text='';

        }

        return $text;

    }

    /* This function adds button and display num of post on it */
    function plgGetButtonOrTextOrLink($cfg)
    {
        
        $content	= array();

        $access = $cfg['useraccess'];

        if ($access['read']==1){

            $num_of_posts = $this->plgGetPostCount($cfg);

            if ($cfg['expand']==2){

                if ($cfg['dissbtn']==1){

                    $content[] = '<div class="d_button">';

                    $content[] = '	<a href="'. $this->hfunc->getUrl($cfg['row']) .'&#35;discuss='.$cfg['topicId'].'" class="a_button">'.JText::_("AGORA_DISCUSS_POSTS").' ('.$num_of_posts.')</a>';

                    $content[] = '</div>';

                }else{

                    $content[] = '<a href="'.$this->hfunc->getUrl($cfg['row']).'"&#35;discuss='.$cfg['topicId'].'>'.JText::_("AGORA_DISCUSS_POSTS").' ('.$num_of_posts.')</a>';

                }

            }else{

                if ($cfg['dissbtn']==1){

                    $content[] = '<div class="d_button">';

                    $content[] = '	<a href="javascript:document.getElementById(\'displaytposts'.$cfg['forumId'].$cfg['rowId']. '\').submit();" class="a_button">'.JText::_("AGORA_DISCUSS_POSTS").' ('.$num_of_posts.')</a>';

                    $content[] = '	<form method="post" id="displaytposts'.$cfg['forumId'].$cfg['rowId'].'" name="displaytposts'.$cfg['forumId'].$cfg['rowId'].'">';

                    $content[] = '	<input type="hidden" name="discuss_displaytposts" value="'.$cfg['forumId'].':'.$cfg['rowId'].'" />';

                    $content[] = '	</form>';

                    $content[] = '</div>';

                }else{

                    $content[] = '<a href="javascript:document.getElementById(\'displaytposts'.$cfg['forumId'].$cfg['rowId']. '\').submit();">'.JText::_("AGORA_DISCUSS_POSTS").' ('.$num_of_posts.')</a>';

                    $content[] = '<form method="post" id="displaytposts'.$cfg['forumId'].$cfg['rowId'].'" name="displaytposts'.$cfg['forumId'].$cfg['rowId'].'">';

                    $content[] = '<input type="hidden" name="discuss_displaytposts" value="'.$cfg['forumId'].':'.$cfg['rowId'].'" />';

                    $content[] = '</form>';

                }

            }

        }else{

            $content[0]='';

        }

        return $content;
    }

    /* This function adds button (text and etc) depends on variables*/
    function plgGetAddButtonOrText($cfg)
    {

        $content	= array();

        $access = $cfg['useraccess'];

        if ($access['post_topic']==1){

            if ($cfg['dissbtn']==1){

                $content[] = '<div class="d_button">';

                $content[] = '	<a href="javascript:document.getElementById(\'addtopic'.$cfg['forumId'].$cfg['rowId']. '\').submit();" class="a_button">'.JText::_("AGORA_DISCUSS").'</a>';

                $content[] = '	<form method="post" id="addtopic'.$cfg['forumId'].$cfg['rowId'].'" name="addtopic'.$cfg['forumId'].$cfg['rowId'].'">';

                $content[] = '	<input type="hidden" name="discuss_addtopic" value="'.$cfg['forumId'].':'.$cfg['rowId'].'" />';

                $content[] = '	</form>';

                $content[] = '</div>';

            }else{

                $content[] = '<a href="javascript:document.getElementById(\'addtopic'.$cfg['forumId'].$cfg['rowId']. '\').submit();">'.JText::_("AGORA_DISCUSS").'</a>';

                $content[] = '<form method="post" id="addtopic'.$cfg['forumId'].$cfg['rowId'].'" name="addtopic'.$cfg['forumId'].$cfg['rowId'].'">';

                $content[] = '<input type="hidden" name="discuss_addtopic" value="'.$cfg['forumId'].':'.$cfg['rowId'].'" />';

                $content[] = '</form>';

            }
        }else{

            $content[0] = '';

        }

        return $content;

    }

    function plgDisplayEditLinks($cfg)
    {

        $content	= array();

        $content = $this->plgGetEditLinks($cfg);

        $access = $cfg['useraccess'];

        $delete_edit = '0';

        if ($access['can_moderate']==1){

            $delete_edit='1';

        }else{

            $cfg['userid'] = $this->discuss->GetUserID();

            if ($cfg['userid']==$cfg['postuserid']){

                $delete_edit='1';

            }else{

                $delete_edit='0';

            }
        }


        if ($access['post_reply']==1){

            if ($cfg['reqd']==1){

                $content['reply'] = str_replace( '{rtitle}',JText::_("AGORA_DISCUSS_REPLY_TITLE"), $content['reply']  );

                $content['reply'] = str_replace( '{rlabel}','', $content['reply']  );

                $content['reply'] = str_replace( '{rclass}','a_button_reply', $content['reply']  );

            }else{

                $content['reply'] = str_replace( '{rtitle}',JText::_("AGORA_DISCUSS_REPLY_TITLE"), $content['reply']  );

                $content['reply'] = str_replace( '{rlabel}',JText::_("AGORA_DISCUSS_REPLY_LABEL"), $content['reply']  );

                $content['reply'] = str_replace( '{rclass}','a_none', $content['reply']  );
            }

        }else{

            $content['reply']='';

        }

        if ($access['post_reply']==1){

            if ($cfg['reqd']==1){

                $content['quote'] = str_replace( '{qtitle}',JText::_("AGORA_DISCUSS_QUOTE_TITLE"), $content['quote']  );

                $content['quote'] = str_replace( '{qlabel}','', $content['quote']  );

                $content['quote'] = str_replace( '{qclass}','a_button_quote', $content['quote']  );

            }else{

                $content['quote'] = str_replace( '{qtitle}',JText::_("AGORA_DISCUSS_QUOTE_TITLE"), $content['quote']  );

                $content['quote'] = str_replace( '{qlabel}',JText::_("AGORA_DISCUSS_QUOTE_LABEL"), $content['quote']  );

                $content['quote'] = str_replace( '{qclass}','a_none', $content['quote']  );

            }

        }else{

            $content['quote']='';

        }

        if ($access['edit_posts']==1 && $delete_edit==1){

            if ($cfg['reqd']==1){

                $content['edit'] = str_replace( '{etitle}',JText::_("AGORA_DISCUSS_EDIT_TITLE"), $content['edit']  );

                $content['edit'] = str_replace( '{elabel}','', $content['edit']  );

                $content['edit'] = str_replace( '{eclass}','a_button_edit', $content['edit']  );

            }else{

                $content['edit'] = str_replace( '{etitle}',JText::_("AGORA_DISCUSS_EDIT_TITLE"), $content['edit']  );

                $content['edit'] = str_replace( '{elabel}',JText::_("AGORA_DISCUSS_EDIT_LABEL"), $content['edit']  );

                $content['edit'] = str_replace( '{eclass}','a_none', $content['edit']  );

            }

        }else{

            $content['edit']='';

        }

        if ($access['delete_posts']==1 && $delete_edit==1){

            if ($cfg['reqd']==1){

                $content['delete'] = str_replace( '{dtitle}',JText::_("AGORA_DISCUSS_DELETE_TITLE"), $content['delete']  );

                $content['delete'] = str_replace( '{dlabel}','', $content['delete']  );

                $content['delete'] = str_replace( '{dclass}','a_button_delete', $content['delete']  );

            }else{

                $content['delete'] = str_replace( '{dtitle}',JText::_("AGORA_DISCUSS_DELETE_TITLE"), $content['delete']  );

                $content['delete'] = str_replace( '{dlabel}',JText::_("AGORA_DISCUSS_DELETE_LABEL"), $content['delete']  );

                $content['delete'] = str_replace( '{dclass}','a_none', $content['delete']  );

            }

        }else{

            $content['delete']='';

        }

        $text = implode("\n", $content);

        unset($content);

        return $text;
    }

    function plgDisplayTopicLink($cfg)
    {

        $text= '';


        if ($cfg['topiclink']==1){

            $text = '<h4 class="post-title"><a href="'.$this->plgGetTopicLinks($cfg).'">'.JText::_("AGORA_DISCUSS_GOTO_TOPIC").'</a></h4>';

        }else{

            $text = '<h4 class="post-title"><a href="#"></a></h4>';

        }

        return $text;

    }

    function plgDisplayAvatar($cfg)
    {

        $content	= array();

        if ($cfg['showavatar']==1){

            $content[] ='	<div class="person-info">';

            $content[] ='		<a class="person-info" href="'.$this->plgGetProfileLink($cfg).'" title="'.str_replace( '{title}',JText::_("AGORA_DISCUSS_USER_TITLE"), $cfg['postertitle']).'">';

            if ((trim($cfg['avatarh']) !='') && (trim($cfg['avatarw']) !='')){

                $content[] ='		<img src="'.$cfg['avatar'].'" style="width: '.$cfg['avatarw'].';height: '.$cfg['avatarh'] .'" alt="'.$cfg['poster'].'">';

            }else{

                $content[] ='		<img class="face" src="'.$cfg['avatar'].'" alt="'.$cfg['poster'].'">';

            }

            $content[] ='		<p class="user-name">'.$cfg['poster'].'</p></a>';

            $content[] ='	</div>';
        }else{

            $content[] ='';

        }

        $text = implode("\n", $content);

        unset($content);

        return $text;

    }

    function plgCreatePostInAgoraPostTable($cfg)
    {


        $row = $cfg['row'];

        $regex = $cfg['regex'];

        $cfg['article_content']= '';

        if ($cfg['cpcontent']=='0'){

            $art_content = '[url]'.$this->hfunc->getUrl($row).'[/url]';

        }elseif($cfg['cpcontent']=='1'){

            $art_content = preg_replace($regex, "", $row->introtext).' [url]'.$this->hfunc->getUrl($row).'[/url]';

        }elseif	($cfg['cpcontent']=='2'){

            $art_content = preg_replace($regex, "", $row->text).' [url]'.$this->hfunc->getUrl($row).'[/url]';

        }else{

            $art_content = '[url]'.$this->hfunc->getUrl($row).'[/url]';

        }

        $cfg['article_content']= $art_content;

        return $this->plgAddPost($cfg);

    }

    function plgGetPosts($cfg)
    {

        //$this->plgGetCurrentUserData();

        $content	= array();

        $user	= array();

        $posts = $this->_plgGetPosts($cfg);

        $cfg['postId'] = '';

        $n = 0;

        $cfg['postcounting'] = 0;

        foreach ($posts as $post)

        {

            $cfg['postcounting'] = $cfg['postcounting'] + 1;

            $cfg['postId'] = $post['id'];

            $cfg['poster'] = $post['poster'];

            $cfg['message']=$post['message'];

            $cfg['posted']=$post['posted'];

            $user = $this->plgGetUserData($cfg);

            $cfg['avatar'] = $user['avatar'];

            $cfg['postertitle'] = $user['title'];

            $cfg['postuserid'] = $user['id'];

            $content[] ='<div class="entry">';

            $content[] = $this->plgDisplayAvatar($cfg);

            $content[] ='	<div class="post">';

            $content[] ='		<div class="post2">';

            $content[] ='			<div class="post-header">';

            $content[] ='				'.$this->plgDisplayTopicLink($cfg);  //'<h4 class="post-title"><a href="'.$this->discuss->GetTopicLink($topicId).'">'.JText::_("AGORA_DISCUSS_GOTO_TOPIC").'</a></h4>';

            $content[] ='			</div>';

            $content[] ='			<div class="post-contents">';

            $content[] = $this->plgProcessPostBBCode($cfg);


            if ($cfg['sig']==1){

                if (!is_null($user['signature']) && trim($this->hfunc->getJustText($user['signature']))!=''){

                    $content[] ='				<span class="post-signature"><hr>'. $this->plgProcessSignatureBBCode($cfg, $user['signature']).'</span>';

                }else{

                    $content[] ='				<span class="post-signature">'.$user['signature'].'</span>';

                }

            }
            //$content[] ='<ul class="related_post">';

            $content[] ='			<div class="post-links">';

            $content[] = $this->plgDisplayEditLinks($cfg); //Add links for edit, relplay add post

            $content[] ='			</div>';

            //$content[] ='</ul>';

            $content[] ='			</div>';

            $content[] ='			<div class="post-footer">';

            $content[] ='				<p>';

            $content[] ='<a style="text-decoration: none;" href="'.$this->plgGetPostLink($cfg).'" title="'.JText::_("AGORA_DISCUSS_GOTO_POST").'">'.$this->plgGetDateTime($cfg).'</a>';

            $content[] ='				</p>';

            $content[] ='			</div>';

            $content[] ='		</div>';

            $content[] ='	</div>';

            $content[] ='</div>';

        }

        return $content;

    }


    /* This function will look up agoradiscuss table for article id */
    function plgVerifyExistanceOfRecord($cfg)
    {

        $q = 'SELECT content_id FROM #__agora_discussbot WHERE content_id=' . $cfg['rowId'];

        $this->db->setQuery ($q);

        if (! ($list = $this->db->loadObjectList ())) {

            return false;

        } else {

            return true;

        }

    }

    /* This function will add row with article id inside agoradiscuss */
    function plgCreateRecordInAgoraDiscussTable($cfg)
    {

        $q = 'INSERT INTO #__agora_discussbot (content_id, topic_id) VALUES ('.$cfg['rowId'].', '.$cfg['topicId'].')';

        $this->db->setQuery ($q);

        $this->db->query();

        if ($this->db->getErrorNum()) {

            return false;

        }else{

            return true;

        }

    }

    /* This function will lookup for topic id in agora topic table */
    function plgVerifayExistanceOfTopic($cfg)
    {

        $q = 'SELECT topic_id FROM #__agora_discussbot WHERE content_id=' . $cfg['rowId'];

        $this->db->setQuery ( $q );

        $lists = $this->db->loadObjectList ();

        if ($this->db->getErrorNum()) {

            return false;

        }else{

            foreach ($lists as $list)

            {

                $res =  $this->plgGetVerifayExistanceOfTopic($list->topic_id);
                if ($res==False){

                    return false;
                }else{

                    return $res;
                }


            }

        }


    }

    /* This function will add row with article id inside agora topic and return id of the topic */
    function plgCreateRecordInAgoraTopicTable($cfg)
    {

        global $mainframe;

        $row = $cfg['row'];

        $regex = $cfg['regex'];

        $cfg['article_title'] = '';

        $cfg['article_description'] = '';

        $cfg['article_content']= '';

        if ($cfg['adddesc']==1){

            $document = & JFactory::getDocument ();

            $description = $document->getMetaData( 'description', '' );

        }

        if ($cfg['cpcontent']=='0'){

            $art_content = '[url]'.$this->hfunc->getUrl($row).'[/url]';

        }elseif($cfg['cpcontent']=='1'){

            $art_content = preg_replace($regex, "", $row->introtext).' [url]'.$this->hfunc->getUrl($row).'[/url]';

        }elseif	($cfg['cpcontent']=='2'){

            $art_content = preg_replace($regex, "", $row->text).' [url]'.$this->hfunc->getUrl($row).'[/url]';

        }else{

            $art_content = '[url]'.$this->hfunc->getUrl($row).'[/url]';

        }

        $cfg['article_title'] = $row->title;

        $cfg['article_description'] = $description;

        $cfg['article_content']= $art_content;

        return $this->plgAddTopic($cfg);

    }

    /* This function will delete records regardin discuss */
    function plgDeleteRecordInAgoraTopicTableAndAgoraDiscussTable($cfg)
    {

        $q = 'DELETE FROM #__agora_discussbot WHERE content_id='.$cfg['rowId'];

        $this->db->setQuery ($q);

        $this->db->query();

        $this->plgDeleteTopic($cfg);

    }

    /************************************/
    /* Function from functions.php      */
    /************************************/

    function plgRedirectURL($cfg)
    {

        $this->hfunc->RedirectURL($this->hfunc->getUrl($cfg['row']));

    }

    /************************************/
    /* Function from com_agora.php      */
    /************************************/

    function plgAddTopic($cfg)
    {

        return $this->discuss->AddTopic($cfg['forumId'], $cfg['article_title'], $cfg['article_description'], $cfg['article_content']);

    }

    function plgDeleteTopic($cfg)
    {

        return $this->discuss->DeleteTopic($cfg['topicId']);

    }

    function _plgGetPosts($cfg)
    {
        return $this->discuss->GetPosts($cfg['topicId'], $cfg['order'], $cfg['postlimit'], $cfg['showfirstpost']);

    }

    function plgGetCurrentUserData(){

        return $this->discuss->getCurrentUser();
    }
    function plgGetForumConfig(){

        return $this->discuss->getAgoraConfig();

    }

    function plgProcessPostBBCode($cfg, $message ='')
    {

        if (trim($message)==''){

            $message = $cfg['message'];


        }

        return $this->discuss->ProcesMessage($message);

    }

    function plgProcessSignatureBBCode($cfg, $message ='')
    {

        if (trim($message)==''){

            $message = $cfg['message'];

        }

        return $this->discuss->ProcesSignature($message);

    }

    function plgGetUserData($cfg)
    {
        return $this->discuss->GetUserData($cfg['poster']);

    }

    function plgGetProfileLink($cfg)
    {

        return $this->discuss->GetProfileLink($cfg['poster']);

    }

    function plgGetPostLink($cfg)
    {

        return $this->discuss->GetPostLink($cfg['topicId'], $cfg['postId'], $cfg['order'], $cfg['postcounting'], $cfg['showfirstpost']);

    }

    function plgGetDateTime($cfg)
    {

        return $this->discuss->GetDateTime($cfg['posted']);

    }

    function plgAddPost($cfg)
    {

        return $this->discuss->AddPostToTopic($cfg['topicId'] , $cfg['forumId'], $cfg['article_content']);

    }

    function plgGetPostCount($cfg)
    {

        return $this->discuss->getPostCount($cfg['topicId']);

    }

    function plgGetEditLinks($cfg)
    {

        return $this->discuss->GetEditLinks($cfg['topicId'], $cfg['postId']);

    }

    function plgGetTopicLinks($cfg)
    {

        return $this->discuss->GetTopicLink($cfg['topicId']);

    }

    function plgGetVerifayExistanceOfTopic($cfg)
    {

        return $this->discuss->GetVerifayExistanceOfTopic($cfg);

    }

    function plgGetUserPermision($cfg)
    {

        $userId = $this->discuss->GetUserID();

        return $this->discuss->getUserAccess($cfg['forumId'], $userId);

    }

    function plgGetForumID($cfg)
    {

        return $this->_plgGetForumIDFromArray($cfg['sections'], $cfg['categories'], $cfg);

    }

    function _plgGetForumIDFromArray($sec, $cat, $cfg)
    {

        $row = $cfg['row'];

        $values = array ();

        $result_sec = '';

        $result_cat = '';

        $values = explode ( ',', $sec);

        if (!is_null ($values )) {

            $new_value_sec = array ();

            for ($i = 0; $i < count($values); $i++) {

                $new_value_sec =  explode ( ':', $values[$i]);

                if (strcmp($new_value_sec[0], $row->sectionid) == 0) {

                    $result_sec = $new_value_sec[1];

                }

            }

            unset($new_value_sec);

        }

        unset($values);

        $values = array ();

        $new_value_cat = array ();

        $values = explode ( ',', $cat);

        if (!is_null($values )) {

            $new_value_cat = array ();

            for ($i = 0; $i < count($values); $i++) {

                $new_value_cat =  explode ( ':', $values[$i]);

                if (strcmp($new_value_cat[0], $row->catid) == 0) {

                    $result_cat = $new_value_cat[1];

                }

            }

            unset($new_value_cat);

        }

        unset($values);

        if (($result_sec >'0') && ($result_cat =='')){

            $forumID = $result_sec;

        }elseif(($result_sec =='') && ($result_cat >'0')){

            $forumID = $result_cat;

        }elseif(($result_sec >'0') && ($result_cat >'0')){

            $forumID = $result_cat;

        }else{

            $forumID = $cfg['defaultforum'];

        }

        return $forumID;

    }

    function plgShowInSectionCategoryArticle($cfg)
    {

        $sections = array ();

        $categories = array ();

        $articles = array ();

        $values = array ();

        $new_value = array ();

        $sections = null;

        $categories = null;

        $articles = null;


        $values = explode ( ',', $cfg['sections']);

        for ($i = 0; $i < count($values); $i++) {

            $new_value =  explode ( ':', $values[$i]);

            if (trim($new_value[0]) !='')

            {

                $sections[] = $new_value[0];

            }

        }

        $values = explode ( ',', $cfg['categories']);

        for ($i = 0; $i < count($values); $i++) {

            $new_value =  explode ( ':', $values[$i]);

            if (trim($new_value[0]) !='')

            {
                $categories[] = $new_value[0];

            }

        }

        $values = explode ( ',', $cfg['ignoredarticles']);

        for ($i = 0; $i < count($values); $i++) {

            $new_value =  explode ( ':', $values[$i]);

            if (trim($new_value[0]) !='')

            {

                $articles[] = $new_value[0];

            }

        }


        unset($new_value);

        unset($values);

        $ret =  $this->hfunc->getInSectionCategoryArticleArray($cfg['row'] ,$sections, $categories, $articles);

        unset($sections);

        unset($categories);

        unset($articles);

        return $ret;

    }

}

?>

