<?php 
defined('_JEXEC') or die('Restricted access');

class modAgoriansOnlineHelper {
	
	function get_agoraavatar($agora_userid, $jos_id, $avatar_width, $avatar_height, $avatar_path )
	{
		$this->agora_config = modAgoriansOnlineHelper::load_config();
		
		$width  	= '';
		$height 	= '';
		
		if ($avatar_width > 0) {
			$width = 'width="'.$avatar_width.'" ';  
		}
		if ($avatar_height > 0) {
			$height = 'height="'.$avatar_height.'" ';  
		}
		
	    if (intval($this->agora_config['o_joomsocialsuite'])) {
            $avatar_path='images/jsocialsuite/avatar';
            $agora_userid=$jos_id;
	    }
		
		if (isset($agora_avatar)) { unset($agora_avatar); }
			$avatar_gif  = $avatar_path . '/'.$agora_userid.'.gif';
			$avatar_jpg  = $avatar_path . '/'.$agora_userid.'.jpg';
			$avatar_png  = $avatar_path . '/'.$agora_userid.'.png';
			
			if (file_exists($avatar_gif)) {
					$agora_avatar = '<img src='.JURI::base().$avatar_path . '/'.$agora_userid.'.gif '.$width .$height.'>';
			} else if (file_exists($avatar_jpg)) {
					$agora_avatar = '<img src='.JURI::base().'components/com_agora/img/pre_avatars/'.$agora_userid.'.jpg '.$width .$height.'>';
			} else if (file_exists($avatar_png)) {
					$agora_avatar = '<img src='.JURI::base().$avatar_path . '/'.$agora_userid.'.png '.$width .$height.'>';
			} else {
					$agora_avatar = '<img src='.JURI::base().'components/com_agora/img/pre_avatars/noavatar.jpg '.$width .$height.'>';
			}
	
		return $agora_avatar;
		
	}
	
		function load_config()
		{
		    $db = & JFactory::getDBO();
			$sql = "SELECT conf_name,conf_value FROM #__agora_config";
			$db->setQuery($sql);
			$list = $db->loadRowList();
			if (!$list) return false;
			$data = array();
			foreach ($list as $result) {
				$fname = $result[0];
				$fvalue = $result[1];
				$data[$fname] = $fvalue;
			}
			return $data;
		}
	
	function get_agorian($member, $params, $avatar_path) 
	{
		
		$agorian = array();
		$agorian['avatar'] ='';
		echo $params->get('avatar_width'); 
		if ($params->get('show_name_mode', 1)) {
				$display_name = htmlspecialchars( $member['name'], ENT_QUOTES, 'UTF-8' );
			} else {
				$display_name = htmlspecialchars( $member['username'], ENT_QUOTES, 'UTF-8' );
			}
			
			$url = 'index.php?option=com_agora&task=profile&user_id=' . $member['agora_user_id'];
			$url = JRoute::_($url);
			
			if ($params->get('show_agora_avatar', 1)) {

				$agora_avatar = modAgoriansOnlineHelper::get_agoraavatar($member['agora_user_id'],$member['id'],$params->get('agora_avatar_width'),$params->get('agora_avatar_height'), $avatar_path);
			}
			
			if ($params->get('show_name_link', 1)) {
				$agorian['name'] = '<a href="' . $url . '">'.$display_name. '</a>';
			
			} else 
			{
				$agorian['name'] = $display_name;	
			}
			
			if ($params->get('show_agora_avatar', 1)) {
				if ($params->get('link_agora_avatar', 1)) {
					$agorian['avatar'] = '<a href="' . $url . '">'.$agora_avatar. '</a>';
				}
				else
				{
					$agorian['avatar'] = $agora_avatar;
				}
			}
			
		return $agorian;
	}
	
	function get_avatar_path($db)  
	{
		$query = "SELECT conf_value FROM #__agora_config WHERE conf_name='o_avatars_dir'";
		$db->setQuery($query);
		return $db->loadResult();
	}
	
	function get_agorianmembers($db, $sort_order ) 
	{	
						
		$query 		= ' SELECT DISTINCT u.id, u.username, u.name, u.email, au.id'
					. ' AS '.$db->nameQuote('agora_user_id').' '
					. ' FROM #__session s, #__users u, #__agora_users au '
					. ' WHERE s.userid = u.id AND u.id = au.jos_id AND s.client_id = 0'
					//. ' AND s.time >= '.(int)$from_time.' '
					. ' ORDER BY u.'.$db->nameQuote($sort_order);
		
		$db->setQuery($query);
		return $db->loadAssocList();
	}
	
	function get_agorianguests($db, $filter, $robots)
	{
		if ($filter) {
			$query = 'SELECT DISTINCT ';
		}
		else 
		{
			$query = 'SELECT ';
		}
		
		$query .= $db->nameQuote('data').' FROM #__session WHERE guest <> 0 AND client_id = 0 ';
 		
		if (count($robots)) {
			foreach($robots as $robot) {
				$query .= ' AND ' . $db->nameQuote('data') . ' NOT LIKE ' . $db->Quote('%'.$robot.'%');
			}
		}
		
		$db->setQuery($query);
		$db->query();
		return (int)$db->getAffectedRows();
	}
}