<?php
/**
* @version $Id: mod_agora_latest Sat, March 21, 2009  22:20  
* @copyright Copyright (C) jVitals Team 2009. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, 
* visit www.jVitals.com
*/

defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.tooltip');
require_once(dirname(__FILE__).DS.'helper.php');

JHTML::stylesheet('agora_latest.css','modules/mod_agora_latest/agora_latest/');

	GLOBAL $AConfig, $time_zone, $db;
	
	$time_zone 		= $params->get('time_zone');
	$content 		="";
	$moduleclass_sfx = $params->get('moduleclass_sfx');
	$header_add 	= $params->get ('add_header');
	$text_header 	= $params->get ('header_text');
	$number 		= $params->get('number_posts');
	$name			= $params->get('name');
	$link 			= $params->get('link');
	$post_option 	= $params->get('posts_list_options');
	$options_id 	= $params->get('option_id');
	$icon_path		= $params->get('icon_path');
	$link_name		= $params->get('link_name');
	$font_style		= $params->get('font_style');
	$tip_title_clr 	= $params->get('tip_title_clr');
	$tip_title_bkg 	= $params->get('tip_title_bkg');
	$tip_text_clr 	= $params->get('tip_text_clr');
	$tip_text_bkg	= $params->get('tip_text_bkg');
	$tip_width 		= $params->get('tip_width',0);
	$layout			= $params->get('layout','default');
	
	$db 			= &JFactory::getDBO();
	$user       	= &JFactory::getUser();
	
	$agora_Itemid 	= modAgoraLatestHelper::get_itmeid($db);
	$AConfig	 	= modAgoraLatestHelper::get_AConfig($db);
	$auser_id 		= modAgoraLatestHelper::get_agoraid($db,$user->id);

	$allowed_forums = modAgoraLatestHelper::get_allowedforums($db, $auser_id);
	$allowedforums 	= implode('\',\'', $allowed_forums);

	if (!$icon_path) { $icon_path = "modules/mod_agora_latest/agora_latest/folder.gif"; }
	$agora_path 	= "index.php?option=com_agora";
	$powered		= "Powered by <a href=\"http://www.jvitals.com\" target=\"_blank\">jVitals</a>";
	
	if ($options_id)
	{
		$options_id = str_replace(',','\',\'',$options_id);
	}

	$query = modAgoraLatestHelper::get_forumquery($post_option,$user,$allowedforums,$options_id,$number);
	
	$db->setQuery( $query);
	$list = $db->loadObjectList();
		if (!is_array($list)) {
			$content = 'Cannot fetch latest posts information from Agora. Database reports: <b>'.htmlspecialchars($db->getErrorMsg()).'</b>';
			return;
		}
	if ($params->get('display_hover',1)) {
		
		JHTML::script('agora_latest.js','modules/mod_agora_latest/agora_latest/');
		if ($params->get('load_moo',1)) {
			JHTML::script('mootools.js','media/system/js/');
		}
		if ($params->get('tip_custom',0)) {
		
			$content .= "<style type=\"text/css\">";
			$content .= ".latesthover-title { color: ".$tip_title_clr."; background-color: ".$tip_title_bkg."; } ";
			$content .= ".latesthover-text { color: ".$tip_text_clr."; background-color: ".$tip_text_bkg."; } ";
			$content .= ".latesthover-tip { width: ".$tip_width."px; } ";
			$content .= ".latestprofile-title { color: ".$tip_title_clr."; background-color: ".$tip_title_bkg."; } ";
			$content .= ".latestprofile-text { color: ".$tip_text_clr."; background-color: ".$tip_text_bkg."; } ";
			$content .= " </style>";
		}
	}
 
 require(JModuleHelper::getLayoutPath('mod_agora_latest', $layout));

?>