{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<!-- ========== BEGIN BOARD STATS ========== -->
<div class="ag_forum_separator"></div>

{if $agora_config.o_binfo eq '1'}
<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">##Board info##</span></h2>
</div>

<div id="ag_boardstats">
	<div class="ag_outerwrap">
		<div class="ag_boardstats_column">
			<div class="ag_boardstats_container">
				<div class="ag_boardstats_wrap">
					<div class="ag_boardstats_col1">
						<!--  col1 -->
						{if $agora_config.o_bstats eq '1'}
						<div id="ag_brdinfo">
							<div class="ag_brdinfo_boardstats">
								<dl>
									<dt><strong>##Board stats##:</strong></dt>
										<dd>&nbsp;</dd>
									<dt>##No of topics##:</dt>
										<dd>{$stats.total_topics}</dd>
									<dt>##No of polls##:</dt>
										<dd>{$stats.total_polls}</dd>
									<dt>##No of posts##:</dt>
										<dd>{$stats.total_posts}</dd>
									<dt>{if $stats.posts_hour < 1}
										{if $stats.posts_day < 1}
										{if $stats.posts_week < 1}
										##dormant##:
										{else}
										##number week##:
										{/if}
										{else}
										##number day##:
										{/if}
										{else}
										##average h##:
										{/if}</dt>
										<dd>{if $stats.posts_hour < 1}
											{if $stats.posts_day < 1}
											{if $stats.posts_week < 1}
											{else}
												{$stats.posts_week}
											{/if}
											{else}
												{$stats.posts_day}
											{/if}
											{else}
												{$stats.posts_hour}
											{/if}
										</dd>
								</dl>
							</div>
							<div class="ag_brdinfo_users">
								<dl>
									<dt><strong>##Userinfo##:</strong></dt>
										<dd>&nbsp;</dd>
									<dt>##No of users##:</dt>
										<dd>{$stats.total_users}</dd>
									<dt>##Newest user##:</dt>
										<dd><a href="{url task=profile user_id=$stats.last_user_id}" title="{if $agora_config.o_fullnames_enabled}{$stats.last_user_fullname}{else}{$stats.last_user_name}{/if}">{if $agora_config.o_fullnames_enabled}{$stats.last_user_fullname}{else}{$stats.last_user_name}{/if}</a></dd>
									{if $agora_config.o_user_guest eq 1}
									<dt>##Users online##:</dt>
										<dd>{$online_users.user_count}</dd>
									<dt>##Guests online##:</dt>
										<dd>{$online_users.guest_count}</dd>
									{/if}
								</dl>
							</div>
						</div>
						<div class="ag_clearer"></div><br />
						{/if}

						{if $agora_config.o_top_ten}
						<div id="ag_most_active">
							<dl>
								<dt><strong>##Most Active##:&nbsp;</strong></dt>
								<dd>
									{capture assign=count}1{/capture}
									{foreach from=$top_users item=user}
									<a href="{url task=profile user_id=$user.id}" title="{if $agora_config.o_fullnames_enabled}{$user.name}{else}{$user.username}{/if}">{if $agora_config.o_fullnames_enabled}{$user.name}{else}{$user.username}{/if}{if $count++ != $top_users|@count}, {/if}</a>
									{/foreach}
								</dd>
							</dl>
						</div>
						<div class="ag_clearer"></div>
						{/if}

						{if $agora_config.o_users_online eq '1'}
						<div id="ag_online">
							<dl>
								<dt><strong>##Online##:&nbsp;</strong></dt>
								<dd>
									{if $online_users.user_count < 1}
										##There are no members online##
									{else}
										{capture assign=count}1{/capture}
										{foreach from=$online_users.users item=user}
										<a href="{url task=profile user_id=$user.id}" title="{if $agora_config.o_fullnames_enabled}{$user.fullname}{else}{$user.name}{/if}">{if $agora_config.o_fullnames_enabled}{$user.fullname}{else}{$user.name}{/if}{if $count++ != $online_users.user_count}, {/if}</a>
										{/foreach}
									{/if}
								</dd>
							</dl>
						</div>
						<div class="ag_clearer"></div>
						{/if}
						<!--  /col1 -->
					</div>
				</div>
				<div class="ag_boardstats_col2">
					<!--  col2 -->
					{if $agora_config.o_quickjump_footer eq '1'}
					<div class="ag_qjump_footer">
						{include file=tools/qjump_footer.tpl}
					</div>
					<div class="ag_clearer"></div><br />
					{/if}

					{if $agora_config.o_legend_enabled}
					<div class="ag_iconSetWrap">
						<p><strong>##Forum legend##:</strong></p>
						<div class="ag_clearer"></div>
						<div class="ag_iconset">
							<dl>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon.png" alt="" title="##Topic##" />&nbsp;##Topic##
								</dd>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_new.png" alt="" title="##New##" />&nbsp;##New##
								</dd>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_locked.png" alt="" title="##Locked##" />&nbsp;##Locked##
								</dd>
							</dl>
							<div class="ag_clearer"></div>
						</div>
						<div class="ag_iconset">
							<dl>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_sticky.png" alt="" title="##Sticky##" />&nbsp;##Sticky##</dd>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_hot.png" alt="" title="##Active##" />&nbsp;##Active##</dd>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_newhot.png" alt="" title="##New/Active##" />&nbsp;##New/Active##</dd>
							</dl>
							<div class="ag_clearer"></div>
						</div>
						<div class="ag_iconset">
							<dl>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_newlocked.png" alt="" title="##New/Locked##" />&nbsp;##New/Locked##</dd>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_newsticky.png" alt="" title="##New/Sticky##" />&nbsp;##New/Sticky##</dd>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_lockedhot.png" alt="" title="##Locked/Active##" />&nbsp;##Locked/Active##</dd>
							</dl>
							<div class="ag_clearer"></div>
						</div>
						<div class="ag_iconset">
							<dl>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_stickyhot.png" alt="" title="##Active/Sticky##" />&nbsp;##Active/Sticky##</dd>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_stickylocked.png" alt="" title="##Sticky/Locked##" />&nbsp;##Sticky/Locked##</dd>
								<dd><img src="{$root_url}style/{$agora_config.o_default_style}/img/small/icon_stickylockedhot.png" alt="" title="##Sticky/Locked/Active##" />&nbsp;##Sticky/Locked/Active##</dd>
							</dl>
							<div class="ag_clearer"></div>
						</div>
					</div>
					<div class="ag_clearer"></div>
					{/if}
					<!--  /col2 -->
				</div>
			</div>
		</div>
	</div>
</div>

<div class="ag_forum_separator"></div>
{/if}

<div class="ag_adsenseFooter">
	{loadModule name=agora_4}
</div>
<!-- ========== END BOARD STATS ========== -->
<!-- ========== BEGIN BOARD COPYRIGHT ========== -->
<div id="ag_footer">
	<p>##Powered by##
		<a href="http://dev.anything-digital.com/Agora/" target="_blank" class="ag_good_link" rel="nofollow">Agora</a>{if $agora_config.o_show_version eq '1'} {$current_version}
		<br />{/if} &copy; ##COPYRIGHT MESSAGE##</p>
	</div>
	<div class="ag_clearer"></div>
</div>
<!-- ========== END BOARD COPYRIGHTS ========== -->
<!-- ========== END AGORA MAIN WRAPPERS ========== -->
</div>