{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
{style href="style/`$agora_config.o_default_style`/profile.css"}

<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">##Profile##: {if $agora_config.o_fullnames_enabled}{$user.name|escape}{else}{$user.username|escape}{/if}</span></h2>
</div>
<div id="ag_profileHeader">
	<div class="ag_profil_menu">
		{if !$preview_only and ($user.id > 0 )}
		<div class="ag_profil_option">
			<a href="{url task=profile page=personal user_id=#}">
				<span class="ag_profil_box">##Section personal##</span>
			</a>
		</div>
		{/if}

		{if $agora_config.o_prof_messaging eq '1'}
		{if !$preview_only and $user.id > 0}
		<div class="ag_profil_option">
			<a href="{url task=profile page=messaging user_id=#}">
				<span class="ag_profil_box">##Section messaging##</span>
			</a>
		</div>
		{/if}
		{/if}

		{if !$preview_only and $user.id > 0}
		<div class="ag_profil_option">
			<a href="{url task=profile page=personality user_id=#}">
				<span class="ag_profil_box">##Section personality##</span>
			</a>
		</div>
		{/if}

		{if !$preview_only and $user.id > 0}
		<div class="ag_profil_option">
			<a href="{url task=profile page=display user_id=#}">
				<span class="ag_profil_box">##Section display##</span>
			</a>
		</div>
		{/if}

		{if $agora_config.o_prof_gallery eq '1'}
		<div class="ag_profil_option">
			<a href="{url task=profile page=gallery user_id=#}">
				<span class="ag_profil_box">##Section gallery##</span>
			</a>
		</div>
		{/if}

		{if $agora_config.o_prof_attach eq '1'}
		<div class="ag_profil_option">
			<a href="{url task=profile page=attachments user_id=#}">
				<span class="ag_profil_box">##Section attachments##</span>
			</a>
		</div>
		{/if}

		<div class="ag_profil_option">
			<a href="{url task=profile page=posts user_id=#}">
				<span class="ag_profil_box">##SECTION POSTS##</span>
			</a>
		</div>

		{if !$preview_only and $user.id > 0}
		<div class="ag_profil_option">
			<a href="{url task=profile page=subscriptions user_id=#}">
				<span class="ag_profil_box">##SECTION SUBSCRIPTIONS##</span>
			</a>
		</div>
		{/if}

		{*	{if !$preview_only and $user.id > 0}
		<!--<div class="ag_profil_option">
		<a href="{url task=profile page=privacy user_id=#}">
			<span class="ag_profil_box">##Section privacy##</span>
		</a>
		</div>-->
		{/if} *}

		<div class="ag_profil_option">
			<a href="{url task=profile page=preview user_id=#}">
				<span class="ag_profil_box">##Section preview##</span>
			</a>
		</div>
	</div>
</div>