{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<div class="ag_postwrap">
	<div class="ag_rightend">
		<h2 class="ag_headerbar"><span class="ag_middle">##Section personality##</span></h2>
	</div>

	<div class="ag_outerwrap">
		<form id="profile4" method="post" action="{$self_url}">
			{if $agora_config.o_avatars}
			<fieldset class="ag_inform">
				<legend class="ag_color">##Avatar legend##</legend>
				<div class="ag_infldsetprofile">
					{if $user.avatar}
					<div class="ag_postavatar">
						<img src="{$user.avatar}?{$smarty.now}" {$user.avatar_size} alt="" />
					</div>
					<div class="ag_clearer"></div><br />
					{/if}

					<p class="ag_profile_instructions">##Avatar info##</p>

					<fieldset class="ag_inform">
						<legend class="ag_color">##Options##</legend>
						<div class="ag_infldset">
							<label for="use_avatar" class="ag_label">
								<input type="checkbox" id="use_avatar" name="form[use_avatar]" value="1" {if $user.use_avatar}checked="checked"{/if} /> ##Use avatar##
							</label>
							<br />
							<a class="ag_good_link" href="{url task=profile page=avatars action=upload user_id=#}">##Upload avatar##</a>
							{if $user.avatar}
							&nbsp;|&nbsp;
							<a class="ag_good_link" href="{url task=profile page=avatars user_id=#}">##Change avatar##</a>
							&nbsp;|&nbsp;
							<a class="ag_good_link" href="{url task=profile page=avatars action=delete user_id=#}">##Delete avatar##</a>
							{else}
							&nbsp;|&nbsp;
							<a class="ag_good_link" href="{url task=profile page=avatars user_id=#}">##Select avatar##</a>
							{/if}
						</div>
					</fieldset>
				</div>
			</fieldset>
			{/if}
			{if $agora_config.o_prof_sig eq '1'}
			<fieldset class="ag_inform">
				<legend class="ag_color">##Signature legend##</legend>
				<div class="ag_infldsetprofile">
					<p class="ag_profile_instructions">##Signature info##</p>
					<br />
					<label for="req_message" class="ag_label">
						<strong>##Sig max length##: {$agora_config.p_sig_length} / ##Sig max lines##: {$agora_config.p_sig_lines}</strong>
						<textarea id="req_message" class="ag_text_area2" name="form[signature]" rows="4" cols="65">{$user.signature|escape}</textarea>
					</label>
					<br />
					{include file=misc/bblinks.tpl}
					<div class="ag_clearer"></div><br />
					<br />
					<fieldset class="ag_inform">
						<legend class="ag_color">##Preview##</legend>
						<div class="ag_postmsg">
							{$signature_preview}
						</div>
					</fieldset>
				</div>
				<div class="ag_clearer"></div>
				<div class="ag_hint">##Instructions##</div>
			</fieldset>
			{/if}
			<div class="ag_postbuttons">
				<span>
					<input class="ag_button ag_btn_submit" type="submit" name="update" value="##Save##" title="##Save##" accesskey="s" />
				</span>
			</div>
			<input type="hidden" name="action" value="save" />
		</form>
	</div>
</div>