{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">##Search##</span></h2>
</div>
<div class="ag_outerwrap">
	<form id="agorasearch" method="get" action="{$self_url}">
		<input type="hidden" name="option" value="com_agora" />
		<input type="hidden" name="task" value="search" />
		<input type="hidden" name="action" value="search_results" />
		<fieldset class="ag_inform">
			<legend class="ag_color">##Search criteria legend##</legend>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="ag_search">
				<tr>
					<td width="150px" class="ag_color">
						<label for="keywords">##Keyword search##</label>
					</td>
					<td class="ag_color">
						<input class="ag_text_area2" type="text" id="keywords" name="keywords" size="50" maxlength="100" style="width:70%;" />
					</td>
				</tr>
				<tr>
					<td width="150px" class="ag_color">
						<label for="author">##Author search##</label>
					</td>
					<td class="ag_color">
						<input class="ag_text_area2" type="text" id="author" name="author" size="50" maxlength="50" style="width:70%;" />
					</td>
				</tr>
			</table>
			<div class="ag_hint">##Search info##</div>
		</fieldset>
		<fieldset class="ag_inform">
			<legend class="ag_color">##Search in legend##</legend>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="ag_search">
				<tr>
					<td width="150px" class="ag_color">
						<label for="forum">##Forum search##</label>
					</td>
					<td class="ag_color">
						<select id="forum" name="forum" class="ag_search">
							{if $agora_config.o_search_all_forums}
							<option value="-1">##All forums##</option>
							{/if}
							{foreach from=$forums item=cat}
							<optgroup label="{$cat.cat_name}">
								{foreach from=$cat.forums item=forum}
								<option value="{$forum.forum_name}">{section name=subforum loop=$forum.level*2}.&nbsp;{/section}|-&nbsp;{$forum.forum_name}</option>
								{/foreach}
							</optgroup>
							{/foreach}
						</select>
					</td>
				</tr>
			</table>
			<div class="ag_hint">##Search in info##</div>
		</fieldset>
		<fieldset class="ag_inform">
			<legend class="ag_color">##Search results legend##</legend>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="ag_search">
				<tr>
					<td width="150px" class="ag_color">
						<label for="sort_by">##Sort by##</label>
					</td>
					<td class="ag_color">
						<select id="sort_by" name="sort_by" class="ag_search">
							<option value="5">##Sort by relevancy##</option>
							<option value="0">##Sort by post time##</option>
							<option value="1">##Sort by author##</option>
							<option value="2">##Sort by subject##</option>
							<option value="3">##Sort by forum##</option>
						</select>
					</td>
				</tr>
				<tr>
					<td width="150px" class="ag_color">
						<label for="sort_dir">##Sort order##</label>
					</td>
					<td class="ag_color">
						<select id="sort_dir" name="sort_dir" class="ag_search">
							<option value="DESC">##Descending##</option>
							<option value="ASC">##Ascending##</option>
						</select>
					</td>
				</tr>
				<tr>
					<td width="150px" class="ag_color">
						<label for="show_as">##Show as##</label>
					</td>
					<td class="ag_color">
						<select id="show_as" name="show_as" class="ag_search">
							<option value="topics">##Show as topics##</option>
							<option value="posts">##Show as posts##</option>
						</select>
					</td>
				</tr>
			</table>
			<div class="ag_hint">##Search results info##</div>
		</fieldset>
		<div class="ag_postbuttons">
			<span>
				<input class="ag_button ag_btn_submit" type="submit" name="submit" value="##Search##" title="##Search##" accesskey="s" />
			</span>
		</div>
	</form>
</div>